GNU logs - #36725, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36725: 26.1; Emacs can't connect to gnu elpa
Resent-From: Lennard Henze <henzelen@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 18 Jul 2019 23:28:01 +0000
Resent-Message-ID: <handler.36725.B.156349243815235 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 36725
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 36725 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.156349243815235
          (code B ref -1); Thu, 18 Jul 2019 23:28:01 +0000
Received: (at submit) by debbugs.gnu.org; 18 Jul 2019 23:27:18 +0000
Received: from localhost ([127.0.0.1]:54846 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoFnx-0003xe-9Z
	for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 19:27:18 -0400
Received: from lists.gnu.org ([209.51.188.17]:40847)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <henzelen@HIDDEN>) id 1hoF2R-0002aO-3H
 for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 18:38:11 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:57537)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <henzelen@HIDDEN>) id 1hoF2P-0001hS-Cx
 for bug-gnu-emacs@HIDDEN; Thu, 18 Jul 2019 18:38:10 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,DATE_IN_PAST_03_06,
 RCVD_IN_DNSWL_MED,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <henzelen@HIDDEN>) id 1hoF2N-00027A-Q9
 for bug-gnu-emacs@HIDDEN; Thu, 18 Jul 2019 18:38:09 -0400
Received: from ir2.cms.hu-berlin.de ([141.20.1.148]:38168)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <henzelen@HIDDEN>)
 id 1hoF2N-00022x-Fi
 for bug-gnu-emacs@HIDDEN; Thu, 18 Jul 2019 18:38:07 -0400
IronPort-SDR: 1YEaZic1Vrzt1hQSl6KpGyPc53l1e0qkgM0S4DqnFkGDlIrVnCfEgJSqlpNontUrr1BlEs3KTd
 uHQzYGydFG2Q==
X-IronPort-AV: E=Sophos;i="5.64,279,1559512800"; d="scan'208";a="150848902"
Received: from ip5b415ec1.dynamic.kabel-deutschland.de (HELO [192.168.250.93])
 ([91.65.94.193])
 by ir2-relay.cms.hu-berlin.de with ESMTP/TLS/ECDHE-RSA-AES256-GCM-SHA384;
 18 Jul 2019 21:28:45 +0200
From: Lennard Henze <henzelen@HIDDEN>
Message-ID: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
Date: Thu, 18 Jul 2019 21:28:45 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-detected-operating-system: by eggs.gnu.org: FreeBSD 9.x
X-Received-From: 141.20.1.148
X-Spam-Score: -1.2 (-)
X-Mailman-Approved-At: Thu, 18 Jul 2019 19:27:16 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.2 (--)

Trying to use "use-package" to install evil-mode. use-package showed:
cant access: https://elpa.gnu.org/packages/undo-tree.html :Bad request
Tryed to package-install w/o use-package: other repos worked,
elpa.gnu.org did not work. tried other repos:
first popkit @ http://elpa.popkit.org/packages/ ... did not work, same
problem
than tried http://elpa.emacs-china.org/gnu/ ... did work, no idea why
https://elpa.gnu.org/packages/undo-tree.html was available the whole
time with curl, and even with emacs built in browser.
dont know if it really is a bug, but i tried trubbleshooting other stuff
on my os (5.2.1-arch1-1-ARCH). First had emacs 26.2, than downgraded to
26.1 bug was in both versions.

Fresh install, only change is .emacs:
(setq package-archives
'(("gnu" . "http://elpa.emacs-china.org/gnu/")
("melpa" . "https://melpa.org/packages/")
("org" . "https://orgmode.org/elpa/")))

(require 'package)
(package-initialize)

(unless (package-installed-p 'use-package)
(package-refresh-contents)
(package-install 'use-package))

(require 'use-package)

(use-package evil
:ensure t
:config
(evil-mode 1))
(custom-set-variables
'(package-selected-packages
(quote
(ghci-completion bnf-mode yasnippet undo-tree use-package))))
(custom-set-faces
)


Hope this helps!
Thanks for doing this :)

In GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.7)
of 2019-03-17 built on juergen
Windowing system distributor 'The X.Org Foundation', version 11.0.12005000
Recent messages:
user-error: Not defining or executing kbd macro
Building list of manual directory expansions...
Building completion list of all manual topics...
Quit
Making completion list...
Quit
Type C-w C-o to remove help window.
Type "q" in help window to restore its previous buffer.
delete-backward-char: Text is read-only [2 times]
Making completion list... [2 times]

Configured using:
'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
--localstatedir=/var --with-x-toolkit=gtk3 --with-xft --with-modules
'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong
-fno-plt' CPPFLAGS=-D_FORTIFY_SOURCE=2
LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 MODULES THREADS LIBSYSTEMD LCMS2

Important settings:
value of $LC_COLLATE: C
value of $LC_TIME: de_DE.UTF-8
value of $LANG: en_US.UTF-8
locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
shell-dirtrack-mode: t
evil-mode: t
evil-local-mode: t
global-undo-tree-mode: t
undo-tree-mode: t
override-global-mode: t
tooltip-mode: t
global-eldoc-mode: t
electric-indent-mode: t
mouse-wheel-mode: t
tool-bar-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
blink-cursor-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
buffer-read-only: t
line-number-mode: t
transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug sendmail eieio-opt speedbar sb-image
ezimage dframe find-func help-fns apropos woman man macros pp cus-edit
cus-start cus-load wid-edit evil evil-keybindings evil-integration
evil-maps evil-commands ffap reveal flyspell ispell evil-jumps
evil-command-window evil-types evil-macros evil-repeat evil-search
evil-ex shell pcomplete evil-states evil-core advice evil-common
windmove thingatpt rect evil-digraphs evil-vars tar-mode undo-tree
warnings edmacro kmacro diff cl compile comint ansi-color ring elec-pair
autoload radix-tree lisp-mnt mm-archive message dired dired-loaddefs
format-spec rfc822 mml mml-sec epa derived epg gnus-util rmail
rmail-loaddefs mailabbrev gmm-utils mailheader mm-decode mm-bodies
mm-encode mail-utils network-stream starttls url-http tls gnutls
mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr url-gw
nsm rmc puny url-cache url-auth url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util mailcap cl-extra
help-mode use-package use-package-ensure use-package-delight
use-package-diminish use-package-bind-key bind-key easy-mmode
use-package-core finder-inf info package easymenu epg-config
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib time-date mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 444813 39048)
(symbols 48 34765 2)
(miscs 40 141 358)
(strings 32 119393 15581)
(string-bytes 1 2904208)
(vectors 16 31047)
(vector-slots 8 706702 34064)
(floats 8 87 292)
(intervals 56 777 0)
(buffers 992 19))





Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Lennard Henze <henzelen@HIDDEN>
Subject: bug#36725: Acknowledgement (26.1; Emacs can't connect to gnu elpa)
Message-ID: <handler.36725.B.156349243815235.ack <at> debbugs.gnu.org>
References: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
X-Gnu-PR-Message: ack 36725
X-Gnu-PR-Package: emacs
Reply-To: 36725 <at> debbugs.gnu.org
Date: Thu, 18 Jul 2019 23:28:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 36725 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
36725: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D36725
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36725: 26.1; Emacs can't connect to gnu elpa
Resent-From: Noam Postavsky <npostavs@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 18 Jul 2019 23:50:02 +0000
Resent-Message-ID: <handler.36725.B36725.156349378917498 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36725
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Lennard Henze <henzelen@HIDDEN>
Cc: 36725 <at> debbugs.gnu.org
Received: via spool by 36725-submit <at> debbugs.gnu.org id=B36725.156349378917498
          (code B ref 36725); Thu, 18 Jul 2019 23:50:02 +0000
Received: (at 36725) by debbugs.gnu.org; 18 Jul 2019 23:49:49 +0000
Received: from localhost ([127.0.0.1]:54852 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoG9l-0004Y8-1q
	for submit <at> debbugs.gnu.org; Thu, 18 Jul 2019 19:49:49 -0400
Received: from mail-io1-f44.google.com ([209.85.166.44]:44532)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hoG9j-0004Xv-H9
 for 36725 <at> debbugs.gnu.org; Thu, 18 Jul 2019 19:49:48 -0400
Received: by mail-io1-f44.google.com with SMTP id s7so54595529iob.11
 for <36725 <at> debbugs.gnu.org>; Thu, 18 Jul 2019 16:49:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=AIwphj5H2CYZMqo+ZXby/BhyfToUOqQ7wsQOGnY3alI=;
 b=qHo0LZECkiBKCt/MLQU+06PsM9rfWaO3cYA2yUSxgsNwQ0p47+H4h+iKH8h6zhE226
 MszkctRBRoBpmumfzGfkqPY5cITdT0rXcaHZoFnuTKVka1leawX0xXXuFN6YIShPn+am
 a9znPQVDtFiJlFBKggtsDn8N8Td/9vWFR74HkIMTlN6mM6/Emeqt6Z6sS23BJb6n3jPM
 fQd9SO3Nd1GDjJJGhFGKVP4WkR1OuCljqq/P26tPnyESVUvlzJj+2uijXarwioVu773E
 Zt2ZHtb0ycyLvLAdIvwtX0WYKiwM8+U+pAVcXBuaZQT4JTq4G2vhMNsf13M0AhXWosRc
 Q4oA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=AIwphj5H2CYZMqo+ZXby/BhyfToUOqQ7wsQOGnY3alI=;
 b=NY90OWUH0qyt69ghz1yQC7AABOxfJHQBqGM2VQwZnb4WR3/1/CBXqdEfIAYGz9z8D2
 oxUY7ratSuAn3+qFEDaBcZHTA3A6J08Vm/6rNof4S2AoJkwa9LxBteX3pIFQ1MRTsvm0
 KSA0qnG9xiRn77yrJ+HcfaYALXZrpyPe5gBwnMPkBuHmxa7adh+Z2wZx0gzjMH3nJvad
 kPkl6UXAL6O6tWcfsBDEgq2DlSAahQkrBo2I++RUH8broUOZ2/Ps+5DRAO1OPVPsPxVF
 2SMhKkXPLfcW0JiNTW/EGd5+IHM//ksykkISjSPyAWOiIcceblBvBz0VdTC9WpLCwiIw
 q43A==
X-Gm-Message-State: APjAAAXxdhdhG19xitQ5e05kmT5lFWsa/AIdvD+/p3QzQQ50uoo6vT4k
 2YeTqVu0+5LNcA78wTv3uL08B5W2
X-Google-Smtp-Source: APXvYqwva1ueMpTGEJTZpHpN3zpxZN9UE+GtK+DkZOuKKTHycloy6Ul9ZrFlBafu7DkjHxUJ6oo1Vg==
X-Received: by 2002:a5d:9ec4:: with SMTP id a4mr44447206ioe.125.1563493781398; 
 Thu, 18 Jul 2019 16:49:41 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 z19sm34590185ioh.12.2019.07.18.16.49.39
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 18 Jul 2019 16:49:40 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
References: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
Date: Thu, 18 Jul 2019 19:49:39 -0400
In-Reply-To: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN> (Lennard
 Henze's message of "Thu, 18 Jul 2019 21:28:45 +0200")
Message-ID: <87zhlaykbw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lennard Henze <henzelen@HIDDEN> writes:

> Trying to use "use-package" to install evil-mode. use-package showed:
> cant access: https://elpa.gnu.org/packages/undo-tree.html :Bad request

> on my os (5.2.1-arch1-1-ARCH). First had emacs 26.2, than downgraded to
> 26.1 bug was in both versions.

Does (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3") help?  If
yes, this is likely Bug#34341 (should already be fixed already in
emacs-26, and the 26.2.90 pretest).




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36725: 26.1; Emacs can't connect to gnu elpa
In-Reply-To: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
Resent-From: Robert Pluim <rpluim@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 19 Jul 2019 08:47:01 +0000
Resent-Message-ID: <handler.36725.B36725.156352596421371 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36725
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Noam Postavsky <npostavs@HIDDEN>
Cc: Lennard Henze <henzelen@HIDDEN>, 36725 <at> debbugs.gnu.org
Received: via spool by 36725-submit <at> debbugs.gnu.org id=B36725.156352596421371
          (code B ref 36725); Fri, 19 Jul 2019 08:47:01 +0000
Received: (at 36725) by debbugs.gnu.org; 19 Jul 2019 08:46:04 +0000
Received: from localhost ([127.0.0.1]:55102 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoOWi-0005Yd-86
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 04:46:04 -0400
Received: from mail-wm1-f54.google.com ([209.85.128.54]:35607)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1hoOWc-0005Xq-JV
 for 36725 <at> debbugs.gnu.org; Fri, 19 Jul 2019 04:46:03 -0400
Received: by mail-wm1-f54.google.com with SMTP id l2so28206287wmg.0
 for <36725 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 01:45:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:message-id:mime-version;
 bh=tPp8MaLLi9niRx4RhfYeFBdEZK6Ahk8uSkoSxzk5sWo=;
 b=uEMJSf3SDocpXCf90VdDC2FTbTTJT+X3uMCmMVU39FKR+cyHfacVI0wGo+0w6RYLtZ
 ceiidGdZEs6tjMEVsXIbe7XxV7yVMztG9ExjU5iAkIUtDWT7Uo7Q7zcY/82vQWmdXNTh
 PH1bBI4huI5c/DWxIbZnjAQ6YRsOL79lxscmhvx9aWWQdyVwY6Cb2j6SRvUYr39nDYWV
 J6WQEOy64W33pgbg7JsQDzWilu7Mr5hyx7JeCGhZL0sQAF0yib7wkod9vz2JsvDgdhAA
 dOpnCylThSzZ5qHhO63Q4HSSHvC7qpx5bnkyWq74dwwAeg1hkxkOCfqSAIIoWPXIoNqF
 WLEg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:message-id:mime-version;
 bh=tPp8MaLLi9niRx4RhfYeFBdEZK6Ahk8uSkoSxzk5sWo=;
 b=dXLSrgMceT7L4hkxPyKttf8JlWeh9TQR7YwJP4fEOSfhd9iamdCaaURZ/kE878yzom
 9r/oQ4kmyVbMPQKsUHdZdETZpWSzYkVEcgsNX4YvM78j2zq3ff2GPDmSLoQg/SpoYkmU
 ye52dVJ+5+W1kokXnTWNGdtOXLfFF5CXn0r/6fBG1EpwQL6EHq6p1piOCd+S/mMTG+bO
 GL9xlefukIarWuuVRXj7+i4/CTas96II8nJJ6hLE5q5KefQXDZAz5+bpNdIfIgNRijD9
 Qj7GC7CZqMTnANsBMWTwW1bnp2ZH6T1xmaG+8hiBGYNvIBWNuChYMfQEkqflGR0cc0v5
 Kfng==
X-Gm-Message-State: APjAAAWF5YjPs0Jm5SbPEUdRkEuM6PGpWqWjQyBvm7ds95uecvYxBXXk
 1yp2Q07XZJAQEP6Pcb5vrYAlQ9R4
X-Google-Smtp-Source: APXvYqzYvgvntOG8VnS6azApdf9OzPuHjN/SosQmsb++T5ubEoqWepePWsDHsJNtdyBpsauvCLld9w==
X-Received: by 2002:a7b:cb94:: with SMTP id m20mr45134642wmi.144.1563525952157; 
 Fri, 19 Jul 2019 01:45:52 -0700 (PDT)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id u6sm34507442wml.9.2019.07.19.01.45.50
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Fri, 19 Jul 2019 01:45:51 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
References: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
 <87zhlaykbw.fsf@HIDDEN>
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Fri, 19 Jul 2019 10:45:50 +0200
Message-ID: <m2y30upg3l.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Thu, 18 Jul 2019 19:49:39 -0400, Noam Postavsky <npostavs@HIDDEN> said:

    Noam> Lennard Henze <henzelen@HIDDEN> writes:
    >> Trying to use "use-package" to install evil-mode. use-package showed:
    >> cant access: https://elpa.gnu.org/packages/undo-tree.html :Bad request

    >> on my os (5.2.1-arch1-1-ARCH). First had emacs 26.2, than downgraded to
    >> 26.1 bug was in both versions.

    Noam> Does (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3") help?  If
    Noam> yes, this is likely Bug#34341 (should already be fixed already in
    Noam> emacs-26, and the 26.2.90 pretest).

elpa.gnu.org uses TLS1.2, not TLS1.3. But emacs-27 has a bunch of
changes in its TLS handling that might improve matters.

Robert




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36725: 
References: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
In-Reply-To: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
Resent-From: Tim Cross <theophilusx@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 19 Jul 2019 11:02:01 +0000
Resent-Message-ID: <handler.36725.B36725.15635340832120 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36725
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 36725 <at> debbugs.gnu.org
Received: via spool by 36725-submit <at> debbugs.gnu.org id=B36725.15635340832120
          (code B ref 36725); Fri, 19 Jul 2019 11:02:01 +0000
Received: (at 36725) by debbugs.gnu.org; 19 Jul 2019 11:01:23 +0000
Received: from localhost ([127.0.0.1]:55211 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoQdf-0000Y7-HM
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 07:01:23 -0400
Received: from mail-oi1-f181.google.com ([209.85.167.181]:37060)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <theophilusx@HIDDEN>) id 1hoQdd-0000Xu-Jm
 for 36725 <at> debbugs.gnu.org; Fri, 19 Jul 2019 07:01:22 -0400
Received: by mail-oi1-f181.google.com with SMTP id t76so23981520oih.4
 for <36725 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 04:01:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=fFvG+kigrqTEY9H4CvY0G0e2ksGqXF4jSPvRoTdxkto=;
 b=gDcU8uZHYt+VqmhnIqihvJDjTshyQGrxukFyGviiNa/0WbEYQzORe4QAfie0SCHNbn
 gqNIGnzlZr3vd0k1tHnSl+XYwoVzMe7cgu0fsAmuJTbTwnIIqvPvVQPydoBv52wB+3vM
 taMq70vrTVERM1HehjVD/i2mUA0DQIJQI2NJgQYsIRflsnonPNiBSmqhMIXhZZRciwZr
 LIVlpK/mw3JypRa9HduDKgYP5qJRgTvyALO31WWNQbd5eN+5QqXImMI3y+LkygcvPfPq
 1koQ2WrTwGz91o2xnwwi+i5BfyH6uQX5M9t6dHRMcYXYUo4LC7Zmz/i3Okdt7Yneu2CF
 Z3fw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=fFvG+kigrqTEY9H4CvY0G0e2ksGqXF4jSPvRoTdxkto=;
 b=SJIGB9f+3uRKHXPROv/r+MYfEeYwur49vT6g4LHsGF+s9dVN4zpXwcfdFGY6WGFaKf
 +e/h2t6Zc3f3jxyhLXDKPQYJJaVFQN+rdJ8UiNZaEZ0+Cp/2N5iiUOwnRRaC2Ch++yWx
 rfB/s0U8Xo9SGKvra81hy742D9/7v32Cvk1aDqqJZMQsVOMMv5L9YmcKTxSdineJGk/s
 2guefKGH/H03wLfvStrYpOvpiE1WnukqNn+rfRae56NYA5GfkUy0qxFTHBATS2lbg789
 m48+PeC5sMs7hKyvzz33fufVSpce5/EZ/F0853W2aw8VspoWV63AN5kN9z5t5I3ByZgw
 I2Mg==
X-Gm-Message-State: APjAAAU81PKzpNGwNt5SQBzME8bGS2c+muR+Q94lhSbw+5QgT3e5BUPq
 HBsIr4D5fNT774u1F+ZaPJZ1D9aDiBi6ljKGBvbAdkUK
X-Google-Smtp-Source: APXvYqyul8SdgYpBzt+nIky5JL9r23IzBSjV8pxc8PCBSQg/ojLxkkdeWJf5jj5+HB3U0TBajkt8OOWLldewnegqm40=
X-Received: by 2002:aca:da56:: with SMTP id r83mr23718701oig.84.1563534075558; 
 Fri, 19 Jul 2019 04:01:15 -0700 (PDT)
MIME-Version: 1.0
From: Tim Cross <theophilusx@HIDDEN>
Date: Fri, 19 Jul 2019 21:01:04 +1000
Message-ID: <CAC=50j_Yjubs=tNhq4WrxhG5v2oHBP0o-wy==io+JA=z6Bzw5Q@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000002b0054058e06a567"
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: I have also been having very similar problems with the same
 error messages. Using Emacs 26.2 on GNU Linux (Ubuntu 19.04). Attempting
 to install the delight package. Exact same error with emacs -Q. Sam [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.181 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (theophilusx[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 HTML_MESSAGE           BODY: HTML included in message
 2.0 BLANK_SUBJECT          Subject is present but empty
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

--0000000000002b0054058e06a567
Content-Type: text/plain; charset="UTF-8"

I have also been having very similar problems with the same error messages.
Using Emacs 26.2 on GNU Linux (Ubuntu 19.04). Attempting to install the
delight package. Exact same error with emacs -Q. Same configuration is
working fine under macOS, so seems to be GNU Linux specific. Changing to
use HTTP instead of HTTPS fixes the problem. Note however that HTTPS to the
melpa repository works fine. Note also that this setup has been working
fine for ages. Last fresh install was only a couple of weeks back.

-- 
regards,

Tim

--
Tim Cross

--0000000000002b0054058e06a567
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">I have also been having very similar problems with the sam=
e error messages. Using Emacs 26.2 on GNU Linux (Ubuntu 19.04). Attempting =
to install the delight package. Exact same error with emacs -Q. Same config=
uration is working fine under macOS, so seems to be GNU Linux specific. Cha=
nging to use HTTP instead of HTTPS fixes the problem. Note however that HTT=
PS to the melpa repository works fine. Note also that this setup has been w=
orking fine for ages. Last fresh install was only a couple of weeks back.=
=C2=A0<br clear=3D"all"><div><br></div>-- <br><div dir=3D"ltr" class=3D"gma=
il_signature" data-smartmail=3D"gmail_signature"><div dir=3D"ltr"><div>rega=
rds,</div><div><br></div><div>Tim</div><div><br></div><div>--</div>Tim Cros=
s<br><div><br></div></div></div></div>

--0000000000002b0054058e06a567--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36725: 
References: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
In-Reply-To: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
Resent-From: Tim Cross <theophilusx@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 19 Jul 2019 11:17:01 +0000
Resent-Message-ID: <handler.36725.B36725.15635349893721 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36725
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 36725 <at> debbugs.gnu.org
Received: via spool by 36725-submit <at> debbugs.gnu.org id=B36725.15635349893721
          (code B ref 36725); Fri, 19 Jul 2019 11:17:01 +0000
Received: (at 36725) by debbugs.gnu.org; 19 Jul 2019 11:16:29 +0000
Received: from localhost ([127.0.0.1]:55221 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoQsH-0000xx-79
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 07:16:29 -0400
Received: from mail-ot1-f50.google.com ([209.85.210.50]:32769)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <theophilusx@HIDDEN>) id 1hoQsF-0000xj-9z
 for 36725 <at> debbugs.gnu.org; Fri, 19 Jul 2019 07:16:27 -0400
Received: by mail-ot1-f50.google.com with SMTP id q20so32324946otl.0
 for <36725 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 04:16:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=vMv8E/WoeHfOTeZ2TZ60bDfTRVHO5gjduR0lrzZPxb8=;
 b=HfXznWq7fZtyKKO5fHkHSywKBN33960pHlUGJ9T6agzttGkEd8Nv11nVV2msh1uyjC
 CcjeXvaL1jEzuKV2/QBggjVTBfM7sOqw/s5xE6nYS31TLSEBdnVowWSF+HsxIRXPFAlK
 eI2u1xd3/e3vFzCKhQ1t9J0I4FpAYJODjyXwtVsVPDFe1WfnVR1vxrm2bCEC/kJh4HXv
 zZ2GLnclVkkkuyBes7DLo5vfD9AnnjViwl+inQjcWRPjwCMmdpZ7yprxYDahMj+3KWI6
 ZXwXh7Y5NVXCKCAiIXS/1fp7hyDTSpm0AOr91HfQEHA/e7wE95jrFm1Or04BymxxLO/g
 5j6g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=vMv8E/WoeHfOTeZ2TZ60bDfTRVHO5gjduR0lrzZPxb8=;
 b=VqplScABxOqIf5IVVqNuHx6OrOKqBHGlG4Cw8yDce5+rXkK10dHKL72Xv7PY/lga3D
 hcfqOJoELSYvaPBm6cilam4+GxyIdeq1o/98H0+JKzfVmU1FeL13D1GVDlTizkQcAakY
 3DGDKNAx3SJ0fMCRGczayVI6x8ebjnfVdJ8Y6Za5Ovni8ViV78v69iM5V1QQd1eEtIbX
 N2fncsnFpR6KxaG+5qHb8rQvomvRoR3nm4o1jrbXyJMl0yBfdJW4GSI+/NMrW5c/wlNO
 BPhWGpaPAaUT/rF1tBpaYpLDC/rVYnGkP6wmNrG79x7B19UasWa9OCJc/RbyJIGIVjlj
 QJPg==
X-Gm-Message-State: APjAAAX7zLLp9NRITWsVsx2t8Fjl2YHXYiI6cPwURAUCFoHoGx5N/HUU
 SqTIBr67nweWX3MavG5IXTwSIBYHYXJaQZFLlcPuuoCp
X-Google-Smtp-Source: APXvYqy8i7JozMMp1MzvlAFVQYZKRBaio7ZjPVietHBzZHDOOOpLbHbqrug8+tAPJYqIUJsJwA0903UVBT0Dii6L70M=
X-Received: by 2002:a9d:458f:: with SMTP id x15mr28508307ote.314.1563534981445; 
 Fri, 19 Jul 2019 04:16:21 -0700 (PDT)
MIME-Version: 1.0
From: Tim Cross <theophilusx@HIDDEN>
Date: Fri, 19 Jul 2019 21:16:10 +1000
Message-ID: <CAC=50j-327sRyeT6a68tRQ-JB_ZVL1dgFYNqOxiJkiTxExo2Mw@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000029bce5058e06db12"
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Correction to previous message. Attempting
 package-refresh-content
 under macOS also now fails with the error "Failed to download 'gnu' archive
 (other archives, such as melpa fine using https). Temporary work around is
 to use http rather than https. 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (theophilusx[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.210.50 listed in list.dnswl.org]
 0.0 HTML_MESSAGE           BODY: HTML included in message
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.210.50 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 2.0 BLANK_SUBJECT          Subject is present but empty
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

--00000000000029bce5058e06db12
Content-Type: text/plain; charset="UTF-8"

Correction to previous message. Attempting package-refresh-content under
macOS also now fails with the error "Failed to download 'gnu' archive
(other archives, such as melpa fine using https).

Temporary work around is to use http rather than https.

BTW using eww to visit https://elpa.gnu.org/packages works fine.

-- 
regards,

Tim

--
Tim Cross

--00000000000029bce5058e06db12
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Correction to previous message. Attempting package-refresh=
-content under macOS also now fails with the error &quot;Failed to download=
 &#39;gnu&#39; archive (other archives, such as melpa fine using https).=C2=
=A0<br clear=3D"all"><div><br></div><div>Temporary work around is to use ht=
tp rather than https.=C2=A0</div><div><br></div><div>BTW using eww to visit=
 <a href=3D"https://elpa.gnu.org/packages">https://elpa.gnu.org/packages</a=
> works fine.</div><div><br></div>-- <br><div dir=3D"ltr" class=3D"gmail_si=
gnature" data-smartmail=3D"gmail_signature"><div dir=3D"ltr"><div>regards,<=
/div><div><br></div><div>Tim</div><div><br></div><div>--</div>Tim Cross<br>=
<div><br></div></div></div></div>

--00000000000029bce5058e06db12--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36725: 26.1; Emacs can't connect to gnu elpa
Resent-From: Noam Postavsky <npostavs@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 19 Jul 2019 12:04:02 +0000
Resent-Message-ID: <handler.36725.B36725.156353778316618 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36725
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Lennard Henze <henzelen@HIDDEN>
Cc: Tim Cross <theophilusx@HIDDEN>, 36725 <at> debbugs.gnu.org
Received: via spool by 36725-submit <at> debbugs.gnu.org id=B36725.156353778316618
          (code B ref 36725); Fri, 19 Jul 2019 12:04:02 +0000
Received: (at 36725) by debbugs.gnu.org; 19 Jul 2019 12:03:03 +0000
Received: from localhost ([127.0.0.1]:55265 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoRbL-0004Jx-5J
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:03:03 -0400
Received: from mail-io1-f50.google.com ([209.85.166.50]:39206)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hoRbJ-0004JS-PQ
 for 36725 <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:03:02 -0400
Received: by mail-io1-f50.google.com with SMTP id f4so57833891ioh.6
 for <36725 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 05:03:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=4MP3nPUi49wCGNiF31/yaDcMLoMS+JaUOrMb/k59RXM=;
 b=TAZrDndGsAdU88P38VKpxq9HBHFwzM+kmOb7YTP08WFwxq5otoKS5Qmu7VHPbrlqDb
 k70QZpi6CjvAtyy/F5H3o8FDpkngaq7rGzPlROfGSvG+AG3+zztbzp8pIdTNRMKyHrwe
 wCf0YgYXP5K7rRj+HBleYMqXwtQkUw8TgAdfJK439VbpSKChnCPb7PsSjw5gqtmTEXYb
 lT1zaIw8vr1qWD99Q1cVKMa7ccoUFKNqDP6l+wXFCognJMPLWOOr/vSJSKYZ57H67pq/
 xBrMpcy34/atc+fNHe7Iv5XMW6wOhpBsTc5x6108gk+C7eohngVF1KL/48mLbDreHyoz
 3kgw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=4MP3nPUi49wCGNiF31/yaDcMLoMS+JaUOrMb/k59RXM=;
 b=kEc0gfGquFc3Rzisg8FGDe0BFcCIDKm2og+ODLoYicILtk5swMz92dFs/p7a54cXiP
 YiEUhMi+NV/p6YE1c5RgXZBs62DVhTdm44Ol3v3V3gfysCXznfCEnF5dmTPjq3dlJAR5
 D4G4qBcywgSxvTj5G/5g3AgL6+XN5TA+6qsAllZ3/C0+DSlbZFiHHB2IPQ7bBWonvj2z
 OORLDz4JWLOtX9szDN4EEloNg/bwagRBq5FCj9YDCYT58ayDJdQiA04F91i78SKDw7ea
 fuqd/0gtURk9FILlnJhZizKoIYs4YazItHdKBsrj6skYWeBKSHsYFhbRChf3NMzu9Aep
 Zw2w==
X-Gm-Message-State: APjAAAWrCRb1Im37H7TIwVpLnGHJ8fDgT3ZC82UopGXeyZfttrW1JXMD
 wuO+tclEPRWeRSTJ6VINkZk=
X-Google-Smtp-Source: APXvYqziZepXThVtzH8EjlQMvIAYivEFLePH7SVV7dODV+7snux5jzCMQPrUO8jt45V1zmIlrvAy0A==
X-Received: by 2002:a5e:8a46:: with SMTP id o6mr17662790iom.36.1563537776186; 
 Fri, 19 Jul 2019 05:02:56 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 a1sm24380148ioo.5.2019.07.19.05.02.55
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 19 Jul 2019 05:02:55 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
References: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
 <87zhlaykbw.fsf@HIDDEN> <m2y30upg3l.fsf@HIDDEN>
Date: Fri, 19 Jul 2019 08:02:54 -0400
In-Reply-To: <m2y30upg3l.fsf@HIDDEN> (Robert Pluim's message of "Fri, 19
 Jul 2019 10:45:50 +0200")
Message-ID: <87lfwuxmdt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

>     Noam> Does (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3") help?  If
>     Noam> yes, this is likely Bug#34341 (should already be fixed already in
>     Noam> emacs-26, and the 26.2.90 pretest).
>
> elpa.gnu.org uses TLS1.2, not TLS1.3. But emacs-27 has a bunch of
> changes in its TLS handling that might improve matters.

Hmm, it does.  On the other hand, Lennard told me [Lennard, please use
"Reply All" next time so your response goes to the bug list] that (setq
gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3") did actually help.

Tim, can you check the gnutls-algorithm-priority workaround too?





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36725: 26.1; Emacs can't connect to gnu elpa
Resent-From: Tim Cross <theophilusx@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 19 Jul 2019 12:11:02 +0000
Resent-Message-ID: <handler.36725.B36725.156353820217263 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36725
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Noam Postavsky <npostavs@HIDDEN>
Cc: Lennard Henze <henzelen@HIDDEN>, 36725 <at> debbugs.gnu.org
Received: via spool by 36725-submit <at> debbugs.gnu.org id=B36725.156353820217263
          (code B ref 36725); Fri, 19 Jul 2019 12:11:02 +0000
Received: (at 36725) by debbugs.gnu.org; 19 Jul 2019 12:10:02 +0000
Received: from localhost ([127.0.0.1]:55278 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoRi5-0004UI-Kt
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:10:02 -0400
Received: from mail-ot1-f54.google.com ([209.85.210.54]:46306)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <theophilusx@HIDDEN>) id 1hoRi4-0004Ty-7I
 for 36725 <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:10:00 -0400
Received: by mail-ot1-f54.google.com with SMTP id z23so4180398ote.13
 for <36725 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 05:10:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=H33d91pWbcyrs+NqaSlq0Jmbiak5hTk6AG0DOBeaA6I=;
 b=hCfp6CwdsHwPT4kLBbv50FEeWN4pkxkgQv3so0egbixl1vbGJSVpT6J6loTo3dLQcN
 E+fV+6pneRR2byQ+YJcJaS3tLqqCt/6PAG1tWI67rtpqYV4S59seVrb1w4bNIiv6ET1R
 /f2LJzHVWIj3XenEJSMp16N4GZTxqBLsNJoGRds9oJwsBWUMkXi2tf1BZdjTO2yQTyN7
 2CK1TXFkmnQnbPSMqMFqfRmGxQJYh2lkVd3/Up3z8pPdeQg8JyX5dONBVnf56vSvRmzf
 Vri3LmqC9EtHfQ3Pwo6J+V62DzutJxIsvxAFrdPVfIxF86fMoUQypniW9dlolQHQwF1r
 EqZA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=H33d91pWbcyrs+NqaSlq0Jmbiak5hTk6AG0DOBeaA6I=;
 b=NSvgFr1Q90OIp4DnRQATj0RCpb4t4jNOErOwSjGlr3PQ+lv4rdMxggN+iE4+P65FgF
 49lv7p4LkA6sxX16Mece1Ajz2zjeLJ4P+xcoTf9zkgb2SY3J1CP6kggGf1SG+eya3nyK
 6HMLA9G8ITbe4aa0qaWrYOKpO0rJ4y+O907qeUxwBK6ZK8DyJDbbZ2OlXJC2QCS9OPaZ
 PqJgS7Jv4qPpyBnxCoZogveao+CoXwoQhEIyC5Lc1xcqG6++yMxBSW3Q2OlwF0Pc6WZK
 nLIyk5t+cnfdX67wulM7JGtNyA9Rnf/FLlF4d04yLzKVa/xf1L9jWTHXAx5TRwc78+0+
 NDVA==
X-Gm-Message-State: APjAAAXLWDV+wnBp851o9F5wJcEZidG7+5n+EXgNkGfKJQCFgj3klTtJ
 0FUBGMsDsyhRCnpGyEwPKFIWrJq+dn82iogFSaE=
X-Google-Smtp-Source: APXvYqxNdNc1FqHItdOgTRYHZIVw3YG+vrhXsSAAG+H5mcTe6dqWoNzfAJfntIuEY3JyhgW303ECP6RuiweQz7xC7Nk=
X-Received: by 2002:a05:6830:1155:: with SMTP id
 x21mr18186319otq.336.1563538194511; 
 Fri, 19 Jul 2019 05:09:54 -0700 (PDT)
MIME-Version: 1.0
References: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
 <87zhlaykbw.fsf@HIDDEN> <m2y30upg3l.fsf@HIDDEN>
 <87lfwuxmdt.fsf@HIDDEN>
In-Reply-To: <87lfwuxmdt.fsf@HIDDEN>
From: Tim Cross <theophilusx@HIDDEN>
Date: Fri, 19 Jul 2019 22:09:43 +1000
Message-ID: <CAC=50j-JAg+5Pu5e8wNCmR0mwOFdw5fpHxCjxDZn8asdGJo7Vg@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000ad3c57058e079a8b"
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000ad3c57058e079a8b
Content-Type: text/plain; charset="UTF-8"

Yep, checked and it made no difference. Did get a little more wrt error info

gnutls.el: (err=[-50] The request is invalid.) boot: (:priority
"NORMAL:-VERS-TLS1.3" :hostname melpa.org :loglevel 0 :min-prime-bits 256
:trustfiles (/etc/ssl/certs/ca-certificates.crt) :crlfiles nil :keylist nil
:verify-flags nil :verify-error nil :callbacks nil)

Also tried with TLS 1.2, same error.



On Fri, 19 Jul 2019 at 22:02, Noam Postavsky <npostavs@HIDDEN> wrote:

> Robert Pluim <rpluim@HIDDEN> writes:
>
> >     Noam> Does (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")
> help?  If
> >     Noam> yes, this is likely Bug#34341 (should already be fixed already
> in
> >     Noam> emacs-26, and the 26.2.90 pretest).
> >
> > elpa.gnu.org uses TLS1.2, not TLS1.3. But emacs-27 has a bunch of
> > changes in its TLS handling that might improve matters.
>
> Hmm, it does.  On the other hand, Lennard told me [Lennard, please use
> "Reply All" next time so your response goes to the bug list] that (setq
> gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3") did actually help.
>
> Tim, can you check the gnutls-algorithm-priority workaround too?
>
>

-- 
regards,

Tim

--
Tim Cross

--000000000000ad3c57058e079a8b
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Yep, checked and it made no difference. Did get a little m=
ore wrt error info<div><br></div><div>gnutls.el: (err=3D[-50] The request i=
s invalid.) boot: (:priority &quot;NORMAL:-VERS-TLS1.3&quot; :hostname <a h=
ref=3D"http://melpa.org">melpa.org</a> :loglevel 0 :min-prime-bits 256 :tru=
stfiles (/etc/ssl/certs/ca-certificates.crt) :crlfiles nil :keylist nil :ve=
rify-flags nil :verify-error nil :callbacks nil)<br></div><div><br></div><d=
iv>Also tried with TLS 1.2, same error.</div><div><br></div><div><br></div>=
</div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">=
On Fri, 19 Jul 2019 at 22:02, Noam Postavsky &lt;<a href=3D"mailto:npostavs=
@gmail.com">npostavs@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D=
"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(2=
04,204,204);padding-left:1ex">Robert Pluim &lt;<a href=3D"mailto:rpluim@gma=
il.com" target=3D"_blank">rpluim@HIDDEN</a>&gt; writes:<br>
<br>
&gt;=C2=A0 =C2=A0 =C2=A0Noam&gt; Does (setq gnutls-algorithm-priority &quot=
;NORMAL:-VERS-TLS1.3&quot;) help?=C2=A0 If<br>
&gt;=C2=A0 =C2=A0 =C2=A0Noam&gt; yes, this is likely Bug#34341 (should alre=
ady be fixed already in<br>
&gt;=C2=A0 =C2=A0 =C2=A0Noam&gt; emacs-26, and the 26.2.90 pretest).<br>
&gt;<br>
&gt; <a href=3D"http://elpa.gnu.org" rel=3D"noreferrer" target=3D"_blank">e=
lpa.gnu.org</a> uses TLS1.2, not TLS1.3. But emacs-27 has a bunch of<br>
&gt; changes in its TLS handling that might improve matters.<br>
<br>
Hmm, it does.=C2=A0 On the other hand, Lennard told me [Lennard, please use=
<br>
&quot;Reply All&quot; next time so your response goes to the bug list] that=
 (setq<br>
gnutls-algorithm-priority &quot;NORMAL:-VERS-TLS1.3&quot;) did actually hel=
p.<br>
<br>
Tim, can you check the gnutls-algorithm-priority workaround too?<br>
<br>
</blockquote></div><br clear=3D"all"><div><br></div>-- <br><div dir=3D"ltr"=
 class=3D"gmail_signature"><div dir=3D"ltr"><div>regards,</div><div><br></d=
iv><div>Tim</div><div><br></div><div>--</div>Tim Cross<br><div><br></div></=
div></div>

--000000000000ad3c57058e079a8b--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36725: 26.1; Emacs can't connect to gnu elpa
Resent-From: Noam Postavsky <npostavs@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 19 Jul 2019 12:15:01 +0000
Resent-Message-ID: <handler.36725.B36725.156353848218229 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36725
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Tim Cross <theophilusx@HIDDEN>
Cc: Lennard Henze <henzelen@HIDDEN>, 36725 <at> debbugs.gnu.org
Received: via spool by 36725-submit <at> debbugs.gnu.org id=B36725.156353848218229
          (code B ref 36725); Fri, 19 Jul 2019 12:15:01 +0000
Received: (at 36725) by debbugs.gnu.org; 19 Jul 2019 12:14:42 +0000
Received: from localhost ([127.0.0.1]:55287 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoRmb-0004jx-Lb
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:14:41 -0400
Received: from mail-io1-f48.google.com ([209.85.166.48]:34456)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hoRmZ-0004jU-Lx
 for 36725 <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:14:39 -0400
Received: by mail-io1-f48.google.com with SMTP id k8so57970017iot.1
 for <36725 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 05:14:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=ackx0EDFO8PqoADeHdau9X6BEhPLp+6T+lvAikJtGNI=;
 b=MhxvFIO4hi0TFb2wITRKpK7M8MrPLDnPtZaithXZYDX92BvQZrB7/Ujzd+cdlLsCzB
 8gBERNaMthjfhO9mK6RdejPMdMfv0adlh5fImi0lSQwYdM9iVmTpXwrlT7zBrId9nrsj
 dpwc8pUUZsNhdGuiZqGvejRt3/zAqsfM6R1OmD76w1LV6Ag10JIFSadcbtnQNUpajhBk
 2/v3bgT0D9dG6F4JeFC08jH2F1ZVbzLvdBPvzzsfnf97Eq0GZRxMrmsc8uIjaPr4HVfV
 ecngLQNdym/4Gkm7xcN8113syIjMgYwGA4obMREDA3OoEkYhGdNZ07Oem8RlpMrEBQw5
 ZhsA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=ackx0EDFO8PqoADeHdau9X6BEhPLp+6T+lvAikJtGNI=;
 b=Al5bavVgbtW7RBgb25/YS2tUaxDTjra4jhPWkyzusx9yqujpN7TbrkoQsSMHB0V1Ck
 cUz5kkeho/vn3Y4k09pE/SeMcWW6tTAOvPCGHQBlqdk6pp0dg7niDRJlbMos39HYABLy
 5n2YMmDstWPyf59J2/U8JotVc1QlaFBp1LXvsY4i4r8LxdmaGQIPS0svlmRvUYlBmSxe
 kRo9MDQTl9yq5+Ew+dUpGk8CqajnJIj1rwX+H3cq5MwkwRdnXLyJ0Hs7I1Ay9/aCdNr7
 DJY6MR8amad8nLruc4WS2MwjgtAePEq1DHIzFOHZ22hGrhjxiRHZ/HvfbAXZAl7IrlvT
 gVMA==
X-Gm-Message-State: APjAAAVlgYmS7mXUbSJbCfIVnOmviXtZT1bPCMxRWs1tfkteWsXSHwvw
 vJt8uS43f7DgJqBo9mxsBlxYaA2u
X-Google-Smtp-Source: APXvYqwvySq2QdKOLXA1Cf5bcUC+jNUHdioOSSzS+ERaaD+EQO3uwm8EM4aH5dDjO6NgzXZS+bVbrQ==
X-Received: by 2002:a5d:9618:: with SMTP id w24mr48340757iol.279.1563538474152; 
 Fri, 19 Jul 2019 05:14:34 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 l14sm28193583iob.1.2019.07.19.05.14.33
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 19 Jul 2019 05:14:33 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
References: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
 <87zhlaykbw.fsf@HIDDEN> <m2y30upg3l.fsf@HIDDEN>
 <87lfwuxmdt.fsf@HIDDEN>
 <CAC=50j-JAg+5Pu5e8wNCmR0mwOFdw5fpHxCjxDZn8asdGJo7Vg@HIDDEN>
Date: Fri, 19 Jul 2019 08:14:32 -0400
In-Reply-To: <CAC=50j-JAg+5Pu5e8wNCmR0mwOFdw5fpHxCjxDZn8asdGJo7Vg@HIDDEN> (Tim
 Cross's message of "Fri, 19 Jul 2019 22:09:43 +1000")
Message-ID: <87h87ixluf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Tim Cross <theophilusx@HIDDEN> writes:

> Yep, checked and it made no difference. Did get a little more wrt error info
>
> gnutls.el: (err=[-50] The request is invalid.) boot: (:priority
> "NORMAL:-VERS-TLS1.3" :hostname melpa.org :loglevel 0 :min-prime-bits 256
> :trustfiles (/etc/ssl/certs/ca-certificates.crt) :crlfiles nil :keylist nil
> :verify-flags nil :verify-error nil :callbacks nil)

Oh, what is your value of libgnutls-version?  Perhaps it's not new
enough to recognize the TLS1.3 thing.  Now I'm wondering if the problem
is intermittent, and previous reports of that workaround helping are
just coincidence.

> Also tried with TLS 1.2, same error.

You mean you tried (setq gnutls-algorithm-priority
"NORMAL:-VERS-TLS1.2")?




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36725: 26.1; Emacs can't connect to gnu elpa
Resent-From: Tim Cross <theophilusx@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 19 Jul 2019 12:17:03 +0000
Resent-Message-ID: <handler.36725.B36725.156353857422561 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36725
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Noam Postavsky <npostavs@HIDDEN>
Cc: Lennard Henze <henzelen@HIDDEN>, 36725 <at> debbugs.gnu.org
Received: via spool by 36725-submit <at> debbugs.gnu.org id=B36725.156353857422561
          (code B ref 36725); Fri, 19 Jul 2019 12:17:03 +0000
Received: (at 36725) by debbugs.gnu.org; 19 Jul 2019 12:16:14 +0000
Received: from localhost ([127.0.0.1]:55297 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoRo5-0005rJ-O2
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:16:14 -0400
Received: from mail-ot1-f43.google.com ([209.85.210.43]:38374)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <theophilusx@HIDDEN>) id 1hoRo3-0005lt-ST
 for 36725 <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:16:12 -0400
Received: by mail-ot1-f43.google.com with SMTP id d17so32563873oth.5
 for <36725 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 05:16:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=wczn+dOuhdVu5w/7DkzjNlkZOxn8hu+ghbxAmXS8bGI=;
 b=YvVnxkzF7gYAsCmgV6hj5T92bwrS1HBVXxNT1xXMKSygePHUvMWIumm5Hg2rz2DFeD
 B3ps4JheZMmhbf+z0z0uifhix7V7w6G8ipariFsiPuzmjVWG00n+9oZm5CEPmRmX3Aq0
 r7CcYRAFKNQg5MZWBh6oYm4KrtG48tKHTzJLQ+8oS5f4cbVOD3wiw2zze51r8LW1gTiE
 Z8hprZeqQNJs9WGx/5jz7RgmuMzauwLtbBjYnsQ2ervf3AIFbGNeh/JRAY9rkiVmLWVc
 3hD7z+/eMssWzU3vCKb/OtohQP3IKdA15nVGjrzwrUBqUWmRRVZc/56x9qRzZfQhZNfQ
 ljSw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=wczn+dOuhdVu5w/7DkzjNlkZOxn8hu+ghbxAmXS8bGI=;
 b=TocgIENHdZbnwX4EZQfEvPNNWKIky7oLxdZ8p3+oQ0AvQYQrK8sjZhtQ2cc4p0eZsG
 DkjPzrcCuMrM0K+4dhmCewwS32z/kGV5BmFKgyKEn4jGkAz2Gcbtj7NJydxkHpt3//gi
 roS3ZWhpTIakRVk+LzLa9LgjKgpnAcsxHeIl4oH6o6Q2lIa6ayBnp8/hy2iGd7K3qJdT
 OfZy0t0R2VDafgIsVl8v0tvVBTZH6RZPNNjH92WoOuS+V5uKPbUjDHJZ42Q4zF6I3dPE
 eVbZPz826W+8+3CyR3swzmZgJSswOYz/0nwtdB0U5XrmD4FDBBqDGFVq8yFX2T1p6Sdd
 LoTA==
X-Gm-Message-State: APjAAAUO+yfiWzs/M14xoF2uJdmdUzd9V7mS0V7B/sjQFYqlGafO5IIi
 6RTu08oU3+Dgj6RKC6fZR5hswgTYHzAUKFRSx3M=
X-Google-Smtp-Source: APXvYqxCdEhg246WtCYIY86cZADkTbbUIaZeJJg2fFUKCt0AiKLQ2ZPghTfPiOHvdZ7SafceGciHvWRD5GvurTnGRKg=
X-Received: by 2002:a9d:353:: with SMTP id 77mr38511756otv.125.1563538566315; 
 Fri, 19 Jul 2019 05:16:06 -0700 (PDT)
MIME-Version: 1.0
References: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
 <87zhlaykbw.fsf@HIDDEN> <m2y30upg3l.fsf@HIDDEN>
 <87lfwuxmdt.fsf@HIDDEN>
 <CAC=50j-JAg+5Pu5e8wNCmR0mwOFdw5fpHxCjxDZn8asdGJo7Vg@HIDDEN>
In-Reply-To: <CAC=50j-JAg+5Pu5e8wNCmR0mwOFdw5fpHxCjxDZn8asdGJo7Vg@HIDDEN>
From: Tim Cross <theophilusx@HIDDEN>
Date: Fri, 19 Jul 2019 22:15:55 +1000
Message-ID: <CAC=50j8Lk5O=B_EM9Pcn2-p207PMzP0Y2rFnd8uphuM_R+7jGg@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000d6826a058e07b0b4"
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000d6826a058e07b0b4
Content-Type: text/plain; charset="UTF-8"

Should have be a little clearer. That work-around causes all https
connections to fail. As you will see from the error I posted, that error
was from melpa, which works without that setting. The same error with
elpa.gnu.org as well.  Without that setting, the melpa https connection
works and only the elpa https connection fails.

Tim

On Fri, 19 Jul 2019 at 22:09, Tim Cross <theophilusx@HIDDEN> wrote:

> Yep, checked and it made no difference. Did get a little more wrt error
> info
>
> gnutls.el: (err=[-50] The request is invalid.) boot: (:priority
> "NORMAL:-VERS-TLS1.3" :hostname melpa.org :loglevel 0 :min-prime-bits 256
> :trustfiles (/etc/ssl/certs/ca-certificates.crt) :crlfiles nil :keylist nil
> :verify-flags nil :verify-error nil :callbacks nil)
>
> Also tried with TLS 1.2, same error.
>
>
>
> On Fri, 19 Jul 2019 at 22:02, Noam Postavsky <npostavs@HIDDEN> wrote:
>
>> Robert Pluim <rpluim@HIDDEN> writes:
>>
>> >     Noam> Does (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")
>> help?  If
>> >     Noam> yes, this is likely Bug#34341 (should already be fixed
>> already in
>> >     Noam> emacs-26, and the 26.2.90 pretest).
>> >
>> > elpa.gnu.org uses TLS1.2, not TLS1.3. But emacs-27 has a bunch of
>> > changes in its TLS handling that might improve matters.
>>
>> Hmm, it does.  On the other hand, Lennard told me [Lennard, please use
>> "Reply All" next time so your response goes to the bug list] that (setq
>> gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3") did actually help.
>>
>> Tim, can you check the gnutls-algorithm-priority workaround too?
>>
>>
>
> --
> regards,
>
> Tim
>
> --
> Tim Cross
>
>

-- 
regards,

Tim

--
Tim Cross

--000000000000d6826a058e07b0b4
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><div>Should have be a little clearer. That work-around=
 causes all https connections to fail. As you will see from the error I pos=
ted, that error was from melpa, which works without that setting. The same =
error with <a href=3D"http://elpa.gnu.org">elpa.gnu.org</a> as well.=C2=A0 =
Without that setting, the melpa https connection works and only the elpa ht=
tps connection fails.</div><div><br></div><div>Tim</div></div><br><div clas=
s=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Fri, 19 Jul 2019=
 at 22:09, Tim Cross &lt;<a href=3D"mailto:theophilusx@HIDDEN">theophilu=
sx@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" styl=
e=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);paddin=
g-left:1ex"><div dir=3D"ltr">Yep, checked and it made no difference. Did ge=
t a little more wrt error info<div><br></div><div>gnutls.el: (err=3D[-50] T=
he request is invalid.) boot: (:priority &quot;NORMAL:-VERS-TLS1.3&quot; :h=
ostname <a href=3D"http://melpa.org" target=3D"_blank">melpa.org</a> :logle=
vel 0 :min-prime-bits 256 :trustfiles (/etc/ssl/certs/ca-certificates.crt) =
:crlfiles nil :keylist nil :verify-flags nil :verify-error nil :callbacks n=
il)<br></div><div><br></div><div>Also tried with TLS 1.2, same error.</div>=
<div><br></div><div><br></div></div><br><div class=3D"gmail_quote"><div dir=
=3D"ltr" class=3D"gmail_attr">On Fri, 19 Jul 2019 at 22:02, Noam Postavsky =
&lt;<a href=3D"mailto:npostavs@HIDDEN" target=3D"_blank">npostavs@gmail.=
com</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"marg=
in:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1e=
x">Robert Pluim &lt;<a href=3D"mailto:rpluim@HIDDEN" target=3D"_blank">r=
pluim@HIDDEN</a>&gt; writes:<br>
<br>
&gt;=C2=A0 =C2=A0 =C2=A0Noam&gt; Does (setq gnutls-algorithm-priority &quot=
;NORMAL:-VERS-TLS1.3&quot;) help?=C2=A0 If<br>
&gt;=C2=A0 =C2=A0 =C2=A0Noam&gt; yes, this is likely Bug#34341 (should alre=
ady be fixed already in<br>
&gt;=C2=A0 =C2=A0 =C2=A0Noam&gt; emacs-26, and the 26.2.90 pretest).<br>
&gt;<br>
&gt; <a href=3D"http://elpa.gnu.org" rel=3D"noreferrer" target=3D"_blank">e=
lpa.gnu.org</a> uses TLS1.2, not TLS1.3. But emacs-27 has a bunch of<br>
&gt; changes in its TLS handling that might improve matters.<br>
<br>
Hmm, it does.=C2=A0 On the other hand, Lennard told me [Lennard, please use=
<br>
&quot;Reply All&quot; next time so your response goes to the bug list] that=
 (setq<br>
gnutls-algorithm-priority &quot;NORMAL:-VERS-TLS1.3&quot;) did actually hel=
p.<br>
<br>
Tim, can you check the gnutls-algorithm-priority workaround too?<br>
<br>
</blockquote></div><br clear=3D"all"><div><br></div>-- <br><div dir=3D"ltr"=
 class=3D"gmail-m_-9104080249034014752gmail_signature"><div dir=3D"ltr"><di=
v>regards,</div><div><br></div><div>Tim</div><div><br></div><div>--</div>Ti=
m Cross<br><div><br></div></div></div>
</blockquote></div><br clear=3D"all"><div><br></div>-- <br><div dir=3D"ltr"=
 class=3D"gmail_signature"><div dir=3D"ltr"><div>regards,</div><div><br></d=
iv><div>Tim</div><div><br></div><div>--</div>Tim Cross<br><div><br></div></=
div></div>

--000000000000d6826a058e07b0b4--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36725: 26.1; Emacs can't connect to gnu elpa
Resent-From: Tim Cross <theophilusx@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 19 Jul 2019 12:27:01 +0000
Resent-Message-ID: <handler.36725.B36725.156353920128530 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36725
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Noam Postavsky <npostavs@HIDDEN>
Cc: Lennard Henze <henzelen@HIDDEN>, 36725 <at> debbugs.gnu.org
Received: via spool by 36725-submit <at> debbugs.gnu.org id=B36725.156353920128530
          (code B ref 36725); Fri, 19 Jul 2019 12:27:01 +0000
Received: (at 36725) by debbugs.gnu.org; 19 Jul 2019 12:26:41 +0000
Received: from localhost ([127.0.0.1]:55309 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoRyA-0007Q3-Ql
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:26:41 -0400
Received: from mail-ot1-f68.google.com ([209.85.210.68]:34738)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <theophilusx@HIDDEN>) id 1hoRy9-0007Po-4R
 for 36725 <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:26:37 -0400
Received: by mail-ot1-f68.google.com with SMTP id n5so32589101otk.1
 for <36725 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 05:26:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=S8NG9hWprRfuKVVUCJmqg//XKPT0GWVa2w7LAJcoqmg=;
 b=qc4thdKzp3falbMr3wF7ztyObly69F4xl0XKkvIzSqbjMUxyWGdBnjT7mHpGgbAube
 iRsnheCJ6fVcxdWRLgnAx7J0BUEW7szZoRpvP9HPndudLb/Ke3WF7ItSqWfW5Xw0RKEj
 V88UC9waHXNOgLA7hT76KYVNz9WsHDt6GDPXjRchnAFO7Q2g4DUCg1I/ObuavbiZGcSa
 xG7wpxwXx7YSeIB7Bca3p8efvy9FHywsexXsIUkY9RLSHi7r3lZA2ksikyvl6NbVncSJ
 2rBFz8gRytXAJ1H+FITj9nl15oqKOu3Rv2fHChMDowkBEuBB3eyeqaAIlXTKt/YtwwVd
 ePqg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=S8NG9hWprRfuKVVUCJmqg//XKPT0GWVa2w7LAJcoqmg=;
 b=MGcGbMHeyJw1vSiTeG3UQpxUwGmrjESRmLPP95GsggxWZk0avaPMh+s0hvkLo3rPx0
 e9u+27qxUzG4YCrsrCiZCGpD3V5cT2pQU1XsK1XnMR6/v+5jxt0WXdobSy79H5CXtGOn
 h1ZHUDkPAxJqPU/N4uQZGtdG83rsyT0scSEBxCnLphtuprRR7WnjWyjqmNS0osqh2Imx
 z9ITKUSf9FoflG0I5ILObaLIELIBRBGiyepsMQSg1+Tp1/nPkqLNHU/Q63e7V9biSedl
 w2qBk0f0aS/st8iBG5hVAmhcMLNZAkZY+vtyAJdyJjxiGKBtxRcSwofudljd8Bgl2q9n
 wjKA==
X-Gm-Message-State: APjAAAUtc8xaXWxC3wvG78cdvQTVnhD6rjvyueZWDUJmLRGrQAHj+IUB
 gt1ZjlJGYkayytoyE7YfixwTHwwTi1sfZ/chfnc=
X-Google-Smtp-Source: APXvYqxGxoz5a6xIcSQc6bTjnWz+pIVBztEBQSuKZEuAhh7AEYt+9NhoQx4zHg8eSzJFiMGrR8V2J2P9FO9cXTorM/U=
X-Received: by 2002:a9d:3f42:: with SMTP id m60mr37811318otc.142.1563539191578; 
 Fri, 19 Jul 2019 05:26:31 -0700 (PDT)
MIME-Version: 1.0
References: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
 <87zhlaykbw.fsf@HIDDEN> <m2y30upg3l.fsf@HIDDEN>
 <87lfwuxmdt.fsf@HIDDEN>
 <CAC=50j-JAg+5Pu5e8wNCmR0mwOFdw5fpHxCjxDZn8asdGJo7Vg@HIDDEN>
 <87h87ixluf.fsf@HIDDEN>
In-Reply-To: <87h87ixluf.fsf@HIDDEN>
From: Tim Cross <theophilusx@HIDDEN>
Date: Fri, 19 Jul 2019 22:26:20 +1000
Message-ID: <CAC=50j-3TppMNRp9aRR7aVZ0YGrZ7mtyJ-HbisUOynkmiXwQvw@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000001b4382058e07d636"
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000001b4382058e07d636
Content-Type: text/plain; charset="UTF-8"

Yes, I tried "NORMAl:VERS-TLS1.2" as well with no luck.

My GNUTLS version looks to be 3.6.5. This is a Ubuntu 19.04 system (which
was released last April) with all updates applied.

This also was working fine until just recently. Also, HTTPS to the melpa
repository works fine and using eww to https://elpa.gnu.org/packages works
fine.

Tim


On Fri, 19 Jul 2019 at 22:14, Noam Postavsky <npostavs@HIDDEN> wrote:

> Tim Cross <theophilusx@HIDDEN> writes:
>
> > Yep, checked and it made no difference. Did get a little more wrt error
> info
> >
> > gnutls.el: (err=[-50] The request is invalid.) boot: (:priority
> > "NORMAL:-VERS-TLS1.3" :hostname melpa.org :loglevel 0 :min-prime-bits
> 256
> > :trustfiles (/etc/ssl/certs/ca-certificates.crt) :crlfiles nil :keylist
> nil
> > :verify-flags nil :verify-error nil :callbacks nil)
>
> Oh, what is your value of libgnutls-version?  Perhaps it's not new
> enough to recognize the TLS1.3 thing.  Now I'm wondering if the problem
> is intermittent, and previous reports of that workaround helping are
> just coincidence.
>
> > Also tried with TLS 1.2, same error.
>
> You mean you tried (setq gnutls-algorithm-priority
> "NORMAL:-VERS-TLS1.2")?
>


-- 
regards,

Tim

--
Tim Cross

--0000000000001b4382058e07d636
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Yes, I tried &quot;NORMAl:VERS-TLS1.2&quot; as well with n=
o luck.=C2=A0<div><br></div><div>My GNUTLS version looks to be 3.6.5. This =
is a Ubuntu 19.04 system (which was released last April) with all updates a=
pplied.</div><div><br></div><div>This also was working fine until just rece=
ntly. Also, HTTPS to the melpa repository works fine and using eww to <a hr=
ef=3D"https://elpa.gnu.org/packages">https://elpa.gnu.org/packages</a> work=
s fine.=C2=A0</div><div><br></div><div>Tim</div><div><br></div></div><br><d=
iv class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Fri, 19 J=
ul 2019 at 22:14, Noam Postavsky &lt;<a href=3D"mailto:npostavs@HIDDEN">=
npostavs@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote=
" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);=
padding-left:1ex">Tim Cross &lt;<a href=3D"mailto:theophilusx@HIDDEN" ta=
rget=3D"_blank">theophilusx@HIDDEN</a>&gt; writes:<br>
<br>
&gt; Yep, checked and it made no difference. Did get a little more wrt erro=
r info<br>
&gt;<br>
&gt; gnutls.el: (err=3D[-50] The request is invalid.) boot: (:priority<br>
&gt; &quot;NORMAL:-VERS-TLS1.3&quot; :hostname <a href=3D"http://melpa.org"=
 rel=3D"noreferrer" target=3D"_blank">melpa.org</a> :loglevel 0 :min-prime-=
bits 256<br>
&gt; :trustfiles (/etc/ssl/certs/ca-certificates.crt) :crlfiles nil :keylis=
t nil<br>
&gt; :verify-flags nil :verify-error nil :callbacks nil)<br>
<br>
Oh, what is your value of libgnutls-version?=C2=A0 Perhaps it&#39;s not new=
<br>
enough to recognize the TLS1.3 thing.=C2=A0 Now I&#39;m wondering if the pr=
oblem<br>
is intermittent, and previous reports of that workaround helping are<br>
just coincidence.<br>
<br>
&gt; Also tried with TLS 1.2, same error.<br>
<br>
You mean you tried (setq gnutls-algorithm-priority<br>
&quot;NORMAL:-VERS-TLS1.2&quot;)?<br>
</blockquote></div><br clear=3D"all"><div><br></div>-- <br><div dir=3D"ltr"=
 class=3D"gmail_signature"><div dir=3D"ltr"><div>regards,</div><div><br></d=
iv><div>Tim</div><div><br></div><div>--</div>Tim Cross<br><div><br></div></=
div></div>

--0000000000001b4382058e07d636--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36725: 26.1; Emacs can't connect to gnu elpa
Resent-From: Tim Cross <theophilusx@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 19 Jul 2019 12:35:01 +0000
Resent-Message-ID: <handler.36725.B36725.156353965629266 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36725
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Lennard Henze <henzelen@HIDDEN>
Cc: Noam Postavsky <npostavs@HIDDEN>, 36725 <at> debbugs.gnu.org
Received: via spool by 36725-submit <at> debbugs.gnu.org id=B36725.156353965629266
          (code B ref 36725); Fri, 19 Jul 2019 12:35:01 +0000
Received: (at 36725) by debbugs.gnu.org; 19 Jul 2019 12:34:16 +0000
Received: from localhost ([127.0.0.1]:55317 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoS5Y-0007bx-Dl
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:34:16 -0400
Received: from mail-ot1-f46.google.com ([209.85.210.46]:34403)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <theophilusx@HIDDEN>) id 1hoS5T-0007bf-3v
 for 36725 <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:34:13 -0400
Received: by mail-ot1-f46.google.com with SMTP id n5so32610999otk.1
 for <36725 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 05:34:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=IULDKfZyCD5I6G7LN4loHJb8nFCzeKP+c624QujQmZE=;
 b=Na9iUFm1Di4CMf9U1l6cCg8ChJc1EXsxMLtgPfuOg050t672j9CajMdHVNhDte+c7f
 RypbWH5XDZbcDtd88IzFV+xT2CErJCfXdJNTGOo5AMDj1l+SRMfhAkTH4TVs4ZqvQRmA
 Uq/votXe2LH4LRP3pK6NRNS8isgL4tn6y8f3fHqRQPmsC4AobRxH85NaX4jQjuIJbTIG
 AF34WT4zFG+kXIPj1tqH+K0TkJNQkulxqKUO0JQ+B9WVUievQiC5IAvianh8yHly9Xp5
 5ay1hI/zlVB3DtG40AKPzywBjyr4OXPksGeiTI45w0GCQ0Gu4Dl/yscSr9zQdMuDtrXT
 0x4w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=IULDKfZyCD5I6G7LN4loHJb8nFCzeKP+c624QujQmZE=;
 b=qtiHpy41qopsOQSO02su8ApkY6s06gnN656NR0P0Fn3aS+l1TqE1REcZ5UlKm8jnfQ
 NjErnPYFiUWwCzHLZp/hh/qeyMvr6jXIFruhUq7KUrOXNrug6tyykB2J4JnVW42toMnC
 0fF2wSsJz4JDf75hvRN1d1UAl6h6B870WPlj+fWjb41Kr9OrwW86SKLu3pxq3ra44iYc
 tQBfj12P9GzL0OyBXhpyBjbOvHmoXYBLyQ5zlJJtMK5OicEtD+kJCqpQBJftdvolH+RH
 ZoOrXYwt3T85yYq548HSZy1VkhPQMHsyaZjZfjkWOEbNdMsppzQ7/eKnJzFO4ZRr8xye
 F7Ug==
X-Gm-Message-State: APjAAAUP6dm6lywb8WTvbUmY+pLVB7eJ2I+ldNoT9vqbOUcaSntk2HS2
 hwRuZ4yt3fg9wp46LRT9WUzpGSX1PIQNUZuS1Y0=
X-Google-Smtp-Source: APXvYqysPedjtR2bu8m3Gas4D1D1hqMDpWm0qe2VqB72McGk8Pua0nQSG0cynj0maGeUdZwuYixvAAXN0tXt0q52V1Q=
X-Received: by 2002:a9d:458f:: with SMTP id x15mr28782273ote.314.1563539645495; 
 Fri, 19 Jul 2019 05:34:05 -0700 (PDT)
MIME-Version: 1.0
References: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
 <87zhlaykbw.fsf@HIDDEN> <m2y30upg3l.fsf@HIDDEN>
 <87lfwuxmdt.fsf@HIDDEN>
 <CAC=50j-JAg+5Pu5e8wNCmR0mwOFdw5fpHxCjxDZn8asdGJo7Vg@HIDDEN>
 <2facabee-41b3-4cef-c053-3cf4cd7089f8@HIDDEN>
In-Reply-To: <2facabee-41b3-4cef-c053-3cf4cd7089f8@HIDDEN>
From: Tim Cross <theophilusx@HIDDEN>
Date: Fri, 19 Jul 2019 22:33:54 +1000
Message-ID: <CAC=50j8RgTqo8LzR4-LpvG-SQx2N2=-JZGbMe=9FMP7V7bT+=A@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000297da8058e07f14f"
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000297da8058e07f14f
Content-Type: text/plain; charset="UTF-8"

What happens if you do

emacs -Q

set the gnutls-algorithm-priority (using customize-group or set-variable)

and then

M-x customize-group gnutls

M-x package-initialise
M-x package-refresh-contents

I get a failed to download 'gnu' archive error. If I try to install the
delight package (also a dependency of use-package) I get the bad response
error.

The issue is definitely TLS related, but not sure if it is client or server
end. When I set the perferred algorithm variable, the connections to MELPA
fail as well. Without setting that variable (i.e. set to nil) the
connections to MELPA work fine and only ELPA fails.

Tim



On Fri, 19 Jul 2019 at 22:15, Lennard Henze <henzelen@HIDDEN> wrote:

> Hey, I just double checked to not cause unnecessary confusion:
>
> Crated new user on arch to get empty home:
>
> used same .emacs as before, but without (setq gnutls-algorithm-priority
> "NORMAL:-VERS-TLS1.3"). After refreshing package list i can find undo-tree
> in gnu repos. When i try to install get the same bad request bug.
>
> After adding the line (setq gnutls-algorithm-priority
> "NORMAL:-VERS-TLS1.3")
> use-package downloads the package properly at startup and everything works
> fine.
>
> Can i provide additional debug info?
> Still not sure tho if its some dumb mistake in my os.
>
> On 19.07.19 14:09, Tim Cross wrote:
>
> Yep, checked and it made no difference. Did get a little more wrt error
> info
>
> gnutls.el: (err=[-50] The request is invalid.) boot: (:priority
> "NORMAL:-VERS-TLS1.3" :hostname melpa.org :loglevel 0 :min-prime-bits 256
> :trustfiles (/etc/ssl/certs/ca-certificates.crt) :crlfiles nil :keylist nil
> :verify-flags nil :verify-error nil :callbacks nil)
>
> Also tried with TLS 1.2, same error.
>
>
>
> On Fri, 19 Jul 2019 at 22:02, Noam Postavsky <npostavs@HIDDEN> wrote:
>
>> Robert Pluim <rpluim@HIDDEN> writes:
>>
>> >     Noam> Does (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")
>> help?  If
>> >     Noam> yes, this is likely Bug#34341 (should already be fixed
>> already in
>> >     Noam> emacs-26, and the 26.2.90 pretest).
>> >
>> > elpa.gnu.org uses TLS1.2, not TLS1.3. But emacs-27 has a bunch of
>> > changes in its TLS handling that might improve matters.
>>
>> Hmm, it does.  On the other hand, Lennard told me [Lennard, please use
>> "Reply All" next time so your response goes to the bug list] that (setq
>> gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3") did actually help.
>>
>> Tim, can you check the gnutls-algorithm-priority workaround too?
>>
>>
>
> --
> regards,
>
> Tim
>
> --
> Tim Cross
>
>

-- 
regards,

Tim

--
Tim Cross

--000000000000297da8058e07f14f
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">What happens if you do=C2=A0<div><br></div><div>emacs -Q</=
div><div><br></div><div>set the gnutls-algorithm-priority (using customize-=
group or set-variable)</div><div>=C2=A0<br></div><div>and then</div><div><b=
r></div><div>M-x customize-group gnutls</div><div><br></div><div>M-x packag=
e-initialise<br></div><div>M-x package-refresh-contents</div><div><br></div=
><div>I get a failed to download &#39;gnu&#39; archive error. If I try to i=
nstall the delight package (also a dependency of use-package) I get the bad=
 response error.</div><div><br></div><div>The issue is definitely TLS relat=
ed, but not sure if it is client or server end. When I set the perferred al=
gorithm variable, the connections to MELPA fail as well. Without setting th=
at variable (i.e. set to nil) the connections to MELPA work fine and only E=
LPA fails.</div><div><br></div><div>Tim</div><div><br></div><div><br></div>=
</div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">=
On Fri, 19 Jul 2019 at 22:15, Lennard Henze &lt;<a href=3D"mailto:henzelen@=
hu-berlin.de">henzelen@HIDDEN</a>&gt; wrote:<br></div><blockquote cla=
ss=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid =
rgb(204,204,204);padding-left:1ex">
 =20
   =20
 =20
  <div bgcolor=3D"#FFFFFF">
    <p>Hey, I just double checked to not cause unnecessary confusion:</p>
    <p>Crated new user on arch to get empty home:</p>
    <p>used same .emacs as before, but without (setq
      gnutls-algorithm-priority &quot;NORMAL:-VERS-TLS1.3&quot;). After ref=
reshing
      package list i can find undo-tree in gnu repos. When i try to
      install get the same bad request bug. <br>
    </p>
    <p>After adding the line (setq gnutls-algorithm-priority
      &quot;NORMAL:-VERS-TLS1.3&quot;)</p>
    <div class=3D"gmail-m_-2240547618417299207moz-cite-prefix">use-package =
downloads the package
      properly at startup and everything works fine.</div>
    <div class=3D"gmail-m_-2240547618417299207moz-cite-prefix"><br>
    </div>
    <div class=3D"gmail-m_-2240547618417299207moz-cite-prefix">Can i provid=
e additional debug info?</div>
    <div class=3D"gmail-m_-2240547618417299207moz-cite-prefix">Still not su=
re tho if its some dumb
      mistake in my os.</div>
    <div class=3D"gmail-m_-2240547618417299207moz-cite-prefix"><br>
    </div>
    <div class=3D"gmail-m_-2240547618417299207moz-cite-prefix">On 19.07.19 =
14:09, Tim Cross wrote:<br>
    </div>
    <blockquote type=3D"cite">
     =20
      <div dir=3D"ltr">Yep, checked and it made no difference. Did get a
        little more wrt error info
        <div><br>
        </div>
        <div>gnutls.el: (err=3D[-50] The request is invalid.) boot:
          (:priority &quot;NORMAL:-VERS-TLS1.3&quot; :hostname <a href=3D"h=
ttp://melpa.org" target=3D"_blank">melpa.org</a>
          :loglevel 0 :min-prime-bits 256 :trustfiles
          (/etc/ssl/certs/ca-certificates.crt) :crlfiles nil :keylist
          nil :verify-flags nil :verify-error nil :callbacks nil)<br>
        </div>
        <div><br>
        </div>
        <div>Also tried with TLS 1.2, same error.</div>
        <div><br>
        </div>
        <div><br>
        </div>
      </div>
      <br>
      <div class=3D"gmail_quote">
        <div dir=3D"ltr" class=3D"gmail_attr">On Fri, 19 Jul 2019 at 22:02,
          Noam Postavsky &lt;<a href=3D"mailto:npostavs@HIDDEN" target=
=3D"_blank">npostavs@HIDDEN</a>&gt; wrote:<br>
        </div>
        <blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex=
;border-left:1px solid rgb(204,204,204);padding-left:1ex">Robert
          Pluim &lt;<a href=3D"mailto:rpluim@HIDDEN" target=3D"_blank">r=
pluim@HIDDEN</a>&gt; writes:<br>
          <br>
          &gt;=C2=A0 =C2=A0 =C2=A0Noam&gt; Does (setq gnutls-algorithm-prio=
rity
          &quot;NORMAL:-VERS-TLS1.3&quot;) help?=C2=A0 If<br>
          &gt;=C2=A0 =C2=A0 =C2=A0Noam&gt; yes, this is likely Bug#34341 (s=
hould
          already be fixed already in<br>
          &gt;=C2=A0 =C2=A0 =C2=A0Noam&gt; emacs-26, and the 26.2.90 pretes=
t).<br>
          &gt;<br>
          &gt; <a href=3D"http://elpa.gnu.org" rel=3D"noreferrer" target=3D=
"_blank">elpa.gnu.org</a> uses
          TLS1.2, not TLS1.3. But emacs-27 has a bunch of<br>
          &gt; changes in its TLS handling that might improve matters.<br>
          <br>
          Hmm, it does.=C2=A0 On the other hand, Lennard told me [Lennard,
          please use<br>
          &quot;Reply All&quot; next time so your response goes to the bug =
list]
          that (setq<br>
          gnutls-algorithm-priority &quot;NORMAL:-VERS-TLS1.3&quot;) did ac=
tually
          help.<br>
          <br>
          Tim, can you check the gnutls-algorithm-priority workaround
          too?<br>
          <br>
        </blockquote>
      </div>
      <br clear=3D"all">
      <div><br>
      </div>
      -- <br>
      <div dir=3D"ltr" class=3D"gmail-m_-2240547618417299207gmail_signature=
">
        <div dir=3D"ltr">
          <div>regards,</div>
          <div><br>
          </div>
          <div>Tim</div>
          <div><br>
          </div>
          <div>--</div>
          Tim Cross<br>
          <div><br>
          </div>
        </div>
      </div>
    </blockquote>
  </div>

</blockquote></div><br clear=3D"all"><div><br></div>-- <br><div dir=3D"ltr"=
 class=3D"gmail_signature"><div dir=3D"ltr"><div>regards,</div><div><br></d=
iv><div>Tim</div><div><br></div><div>--</div>Tim Cross<br><div><br></div></=
div></div>

--000000000000297da8058e07f14f--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36725: 
In-Reply-To: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
Resent-From: Robert Pluim <rpluim@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 19 Jul 2019 12:47:02 +0000
Resent-Message-ID: <handler.36725.B36725.156354041430416 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36725
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Tim Cross <theophilusx@HIDDEN>
Cc: 36725 <at> debbugs.gnu.org
Received: via spool by 36725-submit <at> debbugs.gnu.org id=B36725.156354041430416
          (code B ref 36725); Fri, 19 Jul 2019 12:47:02 +0000
Received: (at 36725) by debbugs.gnu.org; 19 Jul 2019 12:46:54 +0000
Received: from localhost ([127.0.0.1]:55330 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoSHm-0007uW-J7
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:46:54 -0400
Received: from mail-wm1-f44.google.com ([209.85.128.44]:55093)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1hoSHj-0007uI-W5
 for 36725 <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:46:52 -0400
Received: by mail-wm1-f44.google.com with SMTP id p74so28664707wme.4
 for <36725 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 05:46:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:message-id:mime-version:content-transfer-encoding;
 bh=sCjEE/lz4R19taDaiuyrmw1Q+C+UrMa03//o83pJLLc=;
 b=jm+NUnYvGh8pBdgdflAp2eoZD14EN1x/25ktAM0QmiluUyVuUZ12UDx9L1eT7yg4m1
 jkqpSr78oSZA428BI1xIxoUQ9wUZ9s+IAtaCXZ0RPb0jq7SuEc0Anjvuwx34I1ccbCNR
 CSjAbwcvAyBe4u/KC3bSJseBwLgweriEhdwpXC7DfaSaLCebVF74BAVm5KdBVuLqG+wL
 3WRDA5kfkJEf7HlD3oL2Ympc50tYsKz8E4H6qZK3FsqBSVKcJ2VJbLSU/iWY+E/PuJer
 qnkPJG+h6vDmggbd3+eqRQ1kMpMi1Fo9qnCWS6rF8/0BJfx2/HSIUrs5mgHv/T5B1iop
 F4/w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:message-id:mime-version
 :content-transfer-encoding;
 bh=sCjEE/lz4R19taDaiuyrmw1Q+C+UrMa03//o83pJLLc=;
 b=En39QwjzcOcKBDf/Qtn2hHvNDUaL5FVxHsS57FIhlO9IFS9CBMC5LpFkgBEBGMgG3r
 q9Q+s07K2+nPB4s5M2rN90SX1ZKOioqgnkZxqg8yNm80ZQyfarQvZGa9pT/V4E+vCZdI
 rRmknKVFH9w2r1j814joV/CtKhizKW3kHCMTEs8oXA4ml2IsYro6KSTzAP6I9V2eEH2Y
 DcIMn1hlFZS3xh8GwKrg5G5W5IekWW+8R3d7SIidT7TDPZH4GW+k0spJgWA7Gd2QO4Qm
 Y2ormhRcrS0TrFmN1/K9bm14OuV0fQlK5Zxj7MMj6W5NXoKPbMu6lZIsEdPG7WQx9RS/
 BKUQ==
X-Gm-Message-State: APjAAAVwh/tYHptT+ugbMWEeSdpiFG19KidZz9NIXcqNsdpfFIWVBpuR
 Az3km78KR2aFnh+63sCDAq37pVCwKlU=
X-Google-Smtp-Source: APXvYqyeWZi9JxvB1ZmVKiSQPb3X+UjIePqpPlsJfJq7GEN0wA+E4wr7CZXhsQUzIcPDkdQ9sqm0WQ==
X-Received: by 2002:a1c:2314:: with SMTP id j20mr47997358wmj.152.1563540405619; 
 Fri, 19 Jul 2019 05:46:45 -0700 (PDT)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id g19sm31963198wmg.10.2019.07.19.05.46.43
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Fri, 19 Jul 2019 05:46:44 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
References: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
 <CAC=50j-327sRyeT6a68tRQ-JB_ZVL1dgFYNqOxiJkiTxExo2Mw@HIDDEN>
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Fri, 19 Jul 2019 14:46:43 +0200
Message-ID: <m2pnm6faz0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 19 Jul 2019 21:16:10 +1000, Tim Cross <theophilusx@HIDDEN>=
 said:

    Tim> Correction to previous message. Attempting package-refresh-content=
 under
    Tim> macOS also now fails with the error "Failed to download 'gnu' arch=
ive
    Tim> (other archives, such as melpa fine using https).

    Tim> Temporary work around is to use http rather than https.

    Tim> BTW using eww to visit https://elpa.gnu.org/packages works fine.

I reproduced something similar with emacs-26, although eww fails for
me.

It=CA=BCs fixed by:

202ff53da267f9fa15f438e9c38603bbead6e890 is the first new commit
commit 202ff53da267f9fa15f438e9c38603bbead6e890
Author: Noam Postavsky <npostavs@HIDDEN>
Date:   Mon May 6 19:55:17 2019 -0400

    Handle GNUTLS_E_AGAIN in emacs_gnutls_read (Bug#34341)

which is contained in HEAD of the emacs-26 branch and in the 26.2.90
pretest at
<https://alpha.gnu.org/gnu/emacs/pretest/emacs-26.2.90.tar.xz>

Would you be able to test one of those?

Regards

Robert




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36725: 
Resent-From: Tim Cross <theophilusx@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 19 Jul 2019 12:52:01 +0000
Resent-Message-ID: <handler.36725.B36725.156354070630854 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36725
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Robert Pluim <rpluim@HIDDEN>
Cc: 36725 <at> debbugs.gnu.org
Received: via spool by 36725-submit <at> debbugs.gnu.org id=B36725.156354070630854
          (code B ref 36725); Fri, 19 Jul 2019 12:52:01 +0000
Received: (at 36725) by debbugs.gnu.org; 19 Jul 2019 12:51:46 +0000
Received: from localhost ([127.0.0.1]:55338 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoSMT-00081Z-JO
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:51:45 -0400
Received: from mail-ot1-f46.google.com ([209.85.210.46]:44928)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <theophilusx@HIDDEN>) id 1hoSMR-00081L-TF
 for 36725 <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:51:44 -0400
Received: by mail-ot1-f46.google.com with SMTP id b7so32549539otl.11
 for <36725 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 05:51:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=27q5Jsp3h6plzgUOTzGcD2eiF+xOybB2Akt4XU6Q7P8=;
 b=AnVu02IRkkpdvtuII4m6b6NJBQn2DcNNwsWqvpWkkDDGy0vXofLKJhBh4lC3++qub7
 rQiDFrWb7gqKbWqxlWnPsVWJ4Q9fH2UeLyuc+gFTr5X/paRSPQwQ7dJPIpJKil8ghcV7
 aAuf4oXb7oz6WOawYEN3K0QtadWalA6mu1ULzyczyapYFq3HCzNvcIL3eai1IoiD++ZE
 iCrPCm9SBNtFc0kSSnft6mZjs6hGbdLOZFNCYpIDvxpV9AwyGEF1HmrQFlTcRlGK7Rhe
 r+R+7QMi6AK+ifBxtKjN7D3oyrVAnFZABr1fRB+WUA0ZR5JfEKr1k/GpXnJIBbZmgNAB
 K1oQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=27q5Jsp3h6plzgUOTzGcD2eiF+xOybB2Akt4XU6Q7P8=;
 b=IaWD+jSCdD7924BzRSbCNuAXqEbBoaAmxLlo8nUHcslmcPSdYOxCjwilUS7NLV7E0L
 jxK9X5LIrLgMsyMF8gIFI2HeKHMLOV7pm6zYD5WWUM5Izc4mWMRU/s/5pAH0yExVWHsD
 Uw53qBYC/Ri4CtcKsf+vywcvFVBZatUbsoVEeuwtS+he8gzGYBsxWVcjF0sKU7pOyrYx
 VRp3gagHKZRJkmuF7i6tNLRHqGQh5aeoo3eDOgS/OnKS6fKZ4LsE2cz8Ggkqxul9K/Vx
 qapUZS2gkfU3gN11s/y8U+sMdLX4qtkIL162UbqHKbKAGgBF/dM0VDUiKDfnjeBWDj6y
 ae6Q==
X-Gm-Message-State: APjAAAVaPI/e0Uw0Yvm3RKLOiR0amgM+Pt/GrwODu2eWIaVeHi0dzq9D
 bCxD9tZQJWBaaqSEWyby2bs/1i7tQMspUil7o6A=
X-Google-Smtp-Source: APXvYqwM7fZcSNLI6bF8DujC82OU83kOfFYqJpWSZrsvYnsSZGBDfFzybJktOrVYxjvUJNljY5hvvsWq/Cyu3c58JNg=
X-Received: by 2002:a9d:353:: with SMTP id 77mr38635655otv.125.1563540698243; 
 Fri, 19 Jul 2019 05:51:38 -0700 (PDT)
MIME-Version: 1.0
References: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
 <CAC=50j-327sRyeT6a68tRQ-JB_ZVL1dgFYNqOxiJkiTxExo2Mw@HIDDEN>
 <m2pnm6faz0.fsf@HIDDEN>
In-Reply-To: <m2pnm6faz0.fsf@HIDDEN>
From: Tim Cross <theophilusx@HIDDEN>
Date: Fri, 19 Jul 2019 22:51:26 +1000
Message-ID: <CAC=50j9Lw2ip9pYQYbr3eZfeRFPmk0Rc-5PMk2__S84Ay4niYQ@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000e92ab4058e082f14"
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000e92ab4058e082f14
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Yep, I can try the pretest version.

It it helps, I set gnutls log level to 1 and go the following, which makes
me think the issue is a server issue

Importing package-keyring.gpg...done
Contacting host: elpa.gnu.org:443
gnutls.c: [1] (Emacs) connecting to host: elpa.gnu.org
gnutls.c: [1] (Emacs) allocating credentials
gnutls.c: [1] (Emacs) setting the trustfile:
 /etc/ssl/certs/ca-certificates.crt
gnutls.c: [1] (Emacs) gnutls callbacks
gnutls.c: [1] (Emacs) gnutls_init
gnutls.c: [1] (Emacs) got non-default priority string: NORMAL:%DUMBFW
gnutls.c: [1] (Emacs) setting the priority string
gnutls.c: [audit] Note that the security level of the Diffie-Hellman key
exchange has been lowered to 256 bits and this may allow decryption of the
session data

gnutls.c: [1] (Emacs) non-fatal error: Resource temporarily unavailable,
try again. [2666 times]

On Fri, 19 Jul 2019 at 22:46, Robert Pluim <rpluim@HIDDEN> wrote:

> >>>>> On Fri, 19 Jul 2019 21:16:10 +1000, Tim Cross <theophilusx@HIDDEN=
m>
> said:
>
>     Tim> Correction to previous message. Attempting
> package-refresh-content under
>     Tim> macOS also now fails with the error "Failed to download 'gnu'
> archive
>     Tim> (other archives, such as melpa fine using https).
>
>     Tim> Temporary work around is to use http rather than https.
>
>     Tim> BTW using eww to visit https://elpa.gnu.org/packages works fine.
>
> I reproduced something similar with emacs-26, although eww fails for
> me.
>
> It=CA=BCs fixed by:
>
> 202ff53da267f9fa15f438e9c38603bbead6e890 is the first new commit
> commit 202ff53da267f9fa15f438e9c38603bbead6e890
> Author: Noam Postavsky <npostavs@HIDDEN>
> Date:   Mon May 6 19:55:17 2019 -0400
>
>     Handle GNUTLS_E_AGAIN in emacs_gnutls_read (Bug#34341)
>
> which is contained in HEAD of the emacs-26 branch and in the 26.2.90
> pretest at
> <https://alpha.gnu.org/gnu/emacs/pretest/emacs-26.2.90.tar.xz>
>
> Would you be able to test one of those?
>
> Regards
>
> Robert
>


--=20
regards,

Tim

--
Tim Cross

--000000000000e92ab4058e082f14
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Yep, I can try the pretest version.=C2=A0<div><br></div><d=
iv>It it helps, I set gnutls log level to 1 and go the following, which mak=
es me think the issue is a server issue</div><div><br></div><div>Importing =
package-keyring.gpg...done<br>Contacting host: <a href=3D"http://elpa.gnu.o=
rg:443">elpa.gnu.org:443</a><br>gnutls.c: [1] (Emacs) connecting to host: <=
a href=3D"http://elpa.gnu.org">elpa.gnu.org</a><br>gnutls.c: [1] (Emacs) al=
locating credentials<br>gnutls.c: [1] (Emacs) setting the trustfile: =C2=A0=
/etc/ssl/certs/ca-certificates.crt<br>gnutls.c: [1] (Emacs) gnutls callback=
s<br>gnutls.c: [1] (Emacs) gnutls_init<br>gnutls.c: [1] (Emacs) got non-def=
ault priority string: NORMAL:%DUMBFW<br>gnutls.c: [1] (Emacs) setting the p=
riority string<br>gnutls.c: [audit] Note that the security level of the Dif=
fie-Hellman key exchange has been lowered to 256 bits and this may allow de=
cryption of the session data<br><br>gnutls.c: [1] (Emacs) non-fatal error: =
Resource temporarily unavailable, try again. [2666 times]<br></div></div><b=
r><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Fri, =
19 Jul 2019 at 22:46, Robert Pluim &lt;<a href=3D"mailto:rpluim@HIDDEN">=
rpluim@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" =
style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);pa=
dding-left:1ex">&gt;&gt;&gt;&gt;&gt; On Fri, 19 Jul 2019 21:16:10 +1000, Ti=
m Cross &lt;<a href=3D"mailto:theophilusx@HIDDEN" target=3D"_blank">theo=
philusx@HIDDEN</a>&gt; said:<br>
<br>
=C2=A0 =C2=A0 Tim&gt; Correction to previous message. Attempting package-re=
fresh-content under<br>
=C2=A0 =C2=A0 Tim&gt; macOS also now fails with the error &quot;Failed to d=
ownload &#39;gnu&#39; archive<br>
=C2=A0 =C2=A0 Tim&gt; (other archives, such as melpa fine using https).<br>
<br>
=C2=A0 =C2=A0 Tim&gt; Temporary work around is to use http rather than http=
s.<br>
<br>
=C2=A0 =C2=A0 Tim&gt; BTW using eww to visit <a href=3D"https://elpa.gnu.or=
g/packages" rel=3D"noreferrer" target=3D"_blank">https://elpa.gnu.org/packa=
ges</a> works fine.<br>
<br>
I reproduced something similar with emacs-26, although eww fails for<br>
me.<br>
<br>
It=CA=BCs fixed by:<br>
<br>
202ff53da267f9fa15f438e9c38603bbead6e890 is the first new commit<br>
commit 202ff53da267f9fa15f438e9c38603bbead6e890<br>
Author: Noam Postavsky &lt;<a href=3D"mailto:npostavs@HIDDEN" target=3D"=
_blank">npostavs@HIDDEN</a>&gt;<br>
Date:=C2=A0 =C2=A0Mon May 6 19:55:17 2019 -0400<br>
<br>
=C2=A0 =C2=A0 Handle GNUTLS_E_AGAIN in emacs_gnutls_read (Bug#34341)<br>
<br>
which is contained in HEAD of the emacs-26 branch and in the 26.2.90<br>
pretest at<br>
&lt;<a href=3D"https://alpha.gnu.org/gnu/emacs/pretest/emacs-26.2.90.tar.xz=
" rel=3D"noreferrer" target=3D"_blank">https://alpha.gnu.org/gnu/emacs/pret=
est/emacs-26.2.90.tar.xz</a>&gt;<br>
<br>
Would you be able to test one of those?<br>
<br>
Regards<br>
<br>
Robert<br>
</blockquote></div><br clear=3D"all"><div><br></div>-- <br><div dir=3D"ltr"=
 class=3D"gmail_signature"><div dir=3D"ltr"><div>regards,</div><div><br></d=
iv><div>Tim</div><div><br></div><div>--</div>Tim Cross<br><div><br></div></=
div></div>

--000000000000e92ab4058e082f14--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36725: 
Resent-From: Tim Cross <theophilusx@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 19 Jul 2019 13:04:01 +0000
Resent-Message-ID: <handler.36725.B36725.156354144132095 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36725
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Robert Pluim <rpluim@HIDDEN>
Cc: 36725 <at> debbugs.gnu.org
Received: via spool by 36725-submit <at> debbugs.gnu.org id=B36725.156354144132095
          (code B ref 36725); Fri, 19 Jul 2019 13:04:01 +0000
Received: (at 36725) by debbugs.gnu.org; 19 Jul 2019 13:04:01 +0000
Received: from localhost ([127.0.0.1]:55362 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoSYK-0008Lb-Er
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 09:04:00 -0400
Received: from mail-ot1-f53.google.com ([209.85.210.53]:37282)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <theophilusx@HIDDEN>) id 1hoSYH-0008LM-Tq
 for 36725 <at> debbugs.gnu.org; Fri, 19 Jul 2019 09:03:59 -0400
Received: by mail-ot1-f53.google.com with SMTP id s20so32654071otp.4
 for <36725 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 06:03:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=jx7zXTlCgO5+ZJD9ZnHYF2mWWiKqrTgOiPe4p1/a+ik=;
 b=qkZhPZvosYLLyjOqngnhRFb+aCb0dJ79gFEu70AufHt0f6kEJHUzVBj0AKda4gJ0Xp
 e5pH+uD7eOV3w8a2RAtZvadPhwQl+9+S3v34+rEY9ne1PDFAx0fMzCa/RET9H2Lg7G5r
 vLD28eYF8nqC4xP8D65lZCIZ/cTnFARTN22Egvll+fEcjT04zcLbXyavQ5YuM7bzouAU
 wnbU2tL3jGUTpV9bzAG+FaC8SdQ3NeOCONLYMP9nR1e6AefI4gUzvjlEysexzsJgow+/
 +NfVVSsmNHQuDrEyWo/6HTpWSqZM3d5a2Q4v4IC30sEUYbi7o4lUozbq158eXeZtcgeg
 Re5Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=jx7zXTlCgO5+ZJD9ZnHYF2mWWiKqrTgOiPe4p1/a+ik=;
 b=ht3QRptgztDpVzqlywm/BSb7yefiSXyLL2ajtPyg6L/5mX4dvGO/De9lrC1qidypF/
 nK935dg2O5gQkHDQHawxa7lYSxZFE53iTChYkIOgR+oSDQU+ORlTRyjKDafnqKS+w35C
 uePrwiPU96K1as672V3YpGQ15qfDXZMykPv/UKZlrNda+TSByUS5W4dA4KCQheqBgP/t
 5CHUQdvMKHg7q/aGNP0ZMoARLqQxYs+yO/A9IGUiFWb/oZVl6v7t2OCmV5vhsVVCNU/m
 UBSnH++iN69qbLXxzPsvK4BZSMLXCgSMS4EXaJ2thqC7EZkJl0MFd/2oHfZ2lyVLkur6
 F30A==
X-Gm-Message-State: APjAAAWTpQ/Y5qH+iETpj2dXsaZ5iRV0hR9oSxNgbm98KXVpCXCxUBjq
 pC6Nzu3B11Tgkgkhu4uLbCLbbcrkNZcP14GoIWo=
X-Google-Smtp-Source: APXvYqyZ6ZvJwE4893WXLiv24F+YPPpmc40IVNX6KjmmC6ch4J1Z0hCpXH+Ed6Rn+m7ZHXo1uR0Kf/YNHaD9gSYE94I=
X-Received: by 2002:a9d:353:: with SMTP id 77mr38677420otv.125.1563541432064; 
 Fri, 19 Jul 2019 06:03:52 -0700 (PDT)
MIME-Version: 1.0
References: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
 <CAC=50j-327sRyeT6a68tRQ-JB_ZVL1dgFYNqOxiJkiTxExo2Mw@HIDDEN>
 <m2pnm6faz0.fsf@HIDDEN>
 <CAC=50j9Lw2ip9pYQYbr3eZfeRFPmk0Rc-5PMk2__S84Ay4niYQ@HIDDEN>
In-Reply-To: <CAC=50j9Lw2ip9pYQYbr3eZfeRFPmk0Rc-5PMk2__S84Ay4niYQ@HIDDEN>
From: Tim Cross <theophilusx@HIDDEN>
Date: Fri, 19 Jul 2019 23:03:40 +1000
Message-ID: <CAC=50j8ZCzFyaFJw0FA3GN4ccODKrnYPdb5F+f82nacBXVWNNQ@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000a65f75058e085bb7"
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000a65f75058e085bb7
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

OK, running the pretest 26.2.90 seems to have resolved the issue. (or the
temp resource unavailable issue reported previously has gone away). At any
rate, seems to be working with 26.2.90

That was doing emacs -Q and then

M-x package-initialise
M-x package-refresh-contents

which previously failed with a "Failed to download 'gnu' archive'

and then did a

M-x package-install <ret> delight <ret)

which reports 1 package installed.

Will now try a full install from my normal init.el. At this stage, issue
seems resolved for me - I will just run the pretest until 26.3 is released.

Tim

On Fri, 19 Jul 2019 at 22:51, Tim Cross <theophilusx@HIDDEN> wrote:

> Yep, I can try the pretest version.
>
> It it helps, I set gnutls log level to 1 and go the following, which make=
s
> me think the issue is a server issue
>
> Importing package-keyring.gpg...done
> Contacting host: elpa.gnu.org:443
> gnutls.c: [1] (Emacs) connecting to host: elpa.gnu.org
> gnutls.c: [1] (Emacs) allocating credentials
> gnutls.c: [1] (Emacs) setting the trustfile:
>  /etc/ssl/certs/ca-certificates.crt
> gnutls.c: [1] (Emacs) gnutls callbacks
> gnutls.c: [1] (Emacs) gnutls_init
> gnutls.c: [1] (Emacs) got non-default priority string: NORMAL:%DUMBFW
> gnutls.c: [1] (Emacs) setting the priority string
> gnutls.c: [audit] Note that the security level of the Diffie-Hellman key
> exchange has been lowered to 256 bits and this may allow decryption of th=
e
> session data
>
> gnutls.c: [1] (Emacs) non-fatal error: Resource temporarily unavailable,
> try again. [2666 times]
>
> On Fri, 19 Jul 2019 at 22:46, Robert Pluim <rpluim@HIDDEN> wrote:
>
>> >>>>> On Fri, 19 Jul 2019 21:16:10 +1000, Tim Cross <
>> theophilusx@HIDDEN> said:
>>
>>     Tim> Correction to previous message. Attempting
>> package-refresh-content under
>>     Tim> macOS also now fails with the error "Failed to download 'gnu'
>> archive
>>     Tim> (other archives, such as melpa fine using https).
>>
>>     Tim> Temporary work around is to use http rather than https.
>>
>>     Tim> BTW using eww to visit https://elpa.gnu.org/packages works fine=
.
>>
>> I reproduced something similar with emacs-26, although eww fails for
>> me.
>>
>> It=CA=BCs fixed by:
>>
>> 202ff53da267f9fa15f438e9c38603bbead6e890 is the first new commit
>> commit 202ff53da267f9fa15f438e9c38603bbead6e890
>> Author: Noam Postavsky <npostavs@HIDDEN>
>> Date:   Mon May 6 19:55:17 2019 -0400
>>
>>     Handle GNUTLS_E_AGAIN in emacs_gnutls_read (Bug#34341)
>>
>> which is contained in HEAD of the emacs-26 branch and in the 26.2.90
>> pretest at
>> <https://alpha.gnu.org/gnu/emacs/pretest/emacs-26.2.90.tar.xz>
>>
>> Would you be able to test one of those?
>>
>> Regards
>>
>> Robert
>>
>
>
> --
> regards,
>
> Tim
>
> --
> Tim Cross
>
>

--=20
regards,

Tim

--
Tim Cross

--000000000000a65f75058e085bb7
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><div>OK, running the pretest 26.2.90 seems to have res=
olved the issue. (or the temp resource unavailable issue reported previousl=
y has gone away). At any rate, seems to be working with 26.2.90</div><div><=
br></div><div>That was doing emacs -Q and then=C2=A0</div><div><br></div><d=
iv>M-x package-initialise</div><div>M-x package-refresh-contents</div><div>=
<br></div><div>which previously failed with a &quot;Failed to download &#39=
;gnu&#39; archive&#39;</div><div><br></div><div>and then did a=C2=A0</div><=
div><br></div><div>M-x package-install &lt;ret&gt; delight &lt;ret)</div><d=
iv><br></div><div>which reports 1 package installed.</div><div><br></div><d=
iv>Will now try a full install from my normal init.el. At this stage, issue=
 seems resolved for me - I will just run the pretest until 26.3 is released=
.</div><div><br></div><div>Tim=C2=A0</div></div><br><div class=3D"gmail_quo=
te"><div dir=3D"ltr" class=3D"gmail_attr">On Fri, 19 Jul 2019 at 22:51, Tim=
 Cross &lt;<a href=3D"mailto:theophilusx@HIDDEN">theophilusx@HIDDEN</=
a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0p=
x 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex"><d=
iv dir=3D"ltr">Yep, I can try the pretest version.=C2=A0<div><br></div><div=
>It it helps, I set gnutls log level to 1 and go the following, which makes=
 me think the issue is a server issue</div><div><br></div><div>Importing pa=
ckage-keyring.gpg...done<br>Contacting host: <a href=3D"http://elpa.gnu.org=
:443" target=3D"_blank">elpa.gnu.org:443</a><br>gnutls.c: [1] (Emacs) conne=
cting to host: <a href=3D"http://elpa.gnu.org" target=3D"_blank">elpa.gnu.o=
rg</a><br>gnutls.c: [1] (Emacs) allocating credentials<br>gnutls.c: [1] (Em=
acs) setting the trustfile: =C2=A0/etc/ssl/certs/ca-certificates.crt<br>gnu=
tls.c: [1] (Emacs) gnutls callbacks<br>gnutls.c: [1] (Emacs) gnutls_init<br=
>gnutls.c: [1] (Emacs) got non-default priority string: NORMAL:%DUMBFW<br>g=
nutls.c: [1] (Emacs) setting the priority string<br>gnutls.c: [audit] Note =
that the security level of the Diffie-Hellman key exchange has been lowered=
 to 256 bits and this may allow decryption of the session data<br><br>gnutl=
s.c: [1] (Emacs) non-fatal error: Resource temporarily unavailable, try aga=
in. [2666 times]<br></div></div><br><div class=3D"gmail_quote"><div dir=3D"=
ltr" class=3D"gmail_attr">On Fri, 19 Jul 2019 at 22:46, Robert Pluim &lt;<a=
 href=3D"mailto:rpluim@HIDDEN" target=3D"_blank">rpluim@HIDDEN</a>&gt=
; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px=
 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">&gt;&gt=
;&gt;&gt;&gt; On Fri, 19 Jul 2019 21:16:10 +1000, Tim Cross &lt;<a href=3D"=
mailto:theophilusx@HIDDEN" target=3D"_blank">theophilusx@HIDDEN</a>&g=
t; said:<br>
<br>
=C2=A0 =C2=A0 Tim&gt; Correction to previous message. Attempting package-re=
fresh-content under<br>
=C2=A0 =C2=A0 Tim&gt; macOS also now fails with the error &quot;Failed to d=
ownload &#39;gnu&#39; archive<br>
=C2=A0 =C2=A0 Tim&gt; (other archives, such as melpa fine using https).<br>
<br>
=C2=A0 =C2=A0 Tim&gt; Temporary work around is to use http rather than http=
s.<br>
<br>
=C2=A0 =C2=A0 Tim&gt; BTW using eww to visit <a href=3D"https://elpa.gnu.or=
g/packages" rel=3D"noreferrer" target=3D"_blank">https://elpa.gnu.org/packa=
ges</a> works fine.<br>
<br>
I reproduced something similar with emacs-26, although eww fails for<br>
me.<br>
<br>
It=CA=BCs fixed by:<br>
<br>
202ff53da267f9fa15f438e9c38603bbead6e890 is the first new commit<br>
commit 202ff53da267f9fa15f438e9c38603bbead6e890<br>
Author: Noam Postavsky &lt;<a href=3D"mailto:npostavs@HIDDEN" target=3D"=
_blank">npostavs@HIDDEN</a>&gt;<br>
Date:=C2=A0 =C2=A0Mon May 6 19:55:17 2019 -0400<br>
<br>
=C2=A0 =C2=A0 Handle GNUTLS_E_AGAIN in emacs_gnutls_read (Bug#34341)<br>
<br>
which is contained in HEAD of the emacs-26 branch and in the 26.2.90<br>
pretest at<br>
&lt;<a href=3D"https://alpha.gnu.org/gnu/emacs/pretest/emacs-26.2.90.tar.xz=
" rel=3D"noreferrer" target=3D"_blank">https://alpha.gnu.org/gnu/emacs/pret=
est/emacs-26.2.90.tar.xz</a>&gt;<br>
<br>
Would you be able to test one of those?<br>
<br>
Regards<br>
<br>
Robert<br>
</blockquote></div><br clear=3D"all"><div><br></div>-- <br><div dir=3D"ltr"=
 class=3D"gmail-m_-3351130362020697371gmail_signature"><div dir=3D"ltr"><di=
v>regards,</div><div><br></div><div>Tim</div><div><br></div><div>--</div>Ti=
m Cross<br><div><br></div></div></div>
</blockquote></div><br clear=3D"all"><div><br></div>-- <br><div dir=3D"ltr"=
 class=3D"gmail_signature"><div dir=3D"ltr"><div>regards,</div><div><br></d=
iv><div>Tim</div><div><br></div><div>--</div>Tim Cross<br><div><br></div></=
div></div>

--000000000000a65f75058e085bb7--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36725: 26.1; Emacs can't connect to gnu elpa
Resent-From: Tim Cross <theophilusx@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 19 Jul 2019 13:19:02 +0000
Resent-Message-ID: <handler.36725.B36725.1563542326948 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36725
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Lennard Henze <henzelen@HIDDEN>
Cc: Noam Postavsky <npostavs@HIDDEN>, 36725 <at> debbugs.gnu.org
Received: via spool by 36725-submit <at> debbugs.gnu.org id=B36725.1563542326948
          (code B ref 36725); Fri, 19 Jul 2019 13:19:02 +0000
Received: (at 36725) by debbugs.gnu.org; 19 Jul 2019 13:18:46 +0000
Received: from localhost ([127.0.0.1]:55374 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoSma-0000FB-3l
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 09:18:46 -0400
Received: from mail-ot1-f51.google.com ([209.85.210.51]:42433)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <theophilusx@HIDDEN>) id 1hoSmX-0000Ey-Ue
 for 36725 <at> debbugs.gnu.org; Fri, 19 Jul 2019 09:18:42 -0400
Received: by mail-ot1-f51.google.com with SMTP id l15so32699948otn.9
 for <36725 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 06:18:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=AlU4jpIb77WIxi/CYQlG29HMi61y9WGKSaoVeKSPX4Q=;
 b=TNbz3Qz5DRhH8cjLRrpHDs2c8XdTiHYxvPnvOoice7MshMLFvLfLHzWKpBu0VNjxgN
 qm/I8iLDAbbawLIgoov5+7jTMfrLDBp7/7Og/vIYP8tf57io7jlkOmep1nr7jdUZjcvj
 YqJjDKTmTgr1lO7S392zlP83XMs2fcSH7FrX178FDqk/XsC4rKNIQKnIs2rJtQyvf80X
 fqicYFvov3ZN6bb9g+3uFWdudyuqsob+0LMtXuyUw5rbHiOuvbRmr12+Hl3UoPxVmAhe
 IorJo5lsswimFsPLfgyEWL4joQ8Ky6X0I1L2UEDKBjmveF2j9CgozO6fHjC//LvPsaxq
 cp1A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=AlU4jpIb77WIxi/CYQlG29HMi61y9WGKSaoVeKSPX4Q=;
 b=ANkC/aF8R5uNYnkji6gs3g53kEhaGcTx/8MgXklOzybLvLr4TW4U9D2QpuM3KHCkr8
 DSvx/QR0PobeK+Ekdge5GZF+F/WIi0yi3rjIhkUmABYLQ4/nQbB8lbkpQlB+n+QHEzDQ
 GhrQBOam9ll6oeXyVR3luv+MQvjXR4FlD009DHlFrdjCX7+cPRp+dmo2B4boGbIb/tE3
 H0v859IfjHWrKD4z//cYtrpiB0BWcBv1xHmv3oFKL7IcFFDnwht2fdai9RmJau0EmhNq
 icvRYAdki8k8kzeSGDJykqItnoq6u0zBmTRX4txP72JWVjvnxp2Wig90iaajKUGIxQX4
 cByA==
X-Gm-Message-State: APjAAAXv4s3UFcnlnx9JjQpbLR7STcygIfHzqKSzZwo1GpiMxBi8nAXO
 xONfvG5PN7aSLZW7Okp/NjYd1g8L4onclYAxNfM=
X-Google-Smtp-Source: APXvYqxYDyXYirDYGpF7rAJa9pViNMRlnXDGpemkMl1be4U61natSD/jdBUUA1xpUpA81Cu4zEdkEGHLzBuAuNzcuH0=
X-Received: by 2002:a9d:353:: with SMTP id 77mr38737136otv.125.1563542316273; 
 Fri, 19 Jul 2019 06:18:36 -0700 (PDT)
MIME-Version: 1.0
References: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
 <87zhlaykbw.fsf@HIDDEN> <m2y30upg3l.fsf@HIDDEN>
 <87lfwuxmdt.fsf@HIDDEN>
 <CAC=50j-JAg+5Pu5e8wNCmR0mwOFdw5fpHxCjxDZn8asdGJo7Vg@HIDDEN>
 <2facabee-41b3-4cef-c053-3cf4cd7089f8@HIDDEN>
 <CAC=50j8RgTqo8LzR4-LpvG-SQx2N2=-JZGbMe=9FMP7V7bT+=A@HIDDEN>
 <c8ea7ea3-4cd1-b0e8-8da4-2e05baf7a502@HIDDEN>
In-Reply-To: <c8ea7ea3-4cd1-b0e8-8da4-2e05baf7a502@HIDDEN>
From: Tim Cross <theophilusx@HIDDEN>
Date: Fri, 19 Jul 2019 23:18:25 +1000
Message-ID: <CAC=50j_w42t7+OG4MsLxMEdhJwcBkXaEZ6hqKPBDuEHsBfn7Fw@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000005a5557058e0890a8"
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000005a5557058e0890a8
Content-Type: text/plain; charset="UTF-8"

Weird. When I set that variable, both elpa and melpa fail.

I upgraded to the 26.2.90 pretest and now it all works fine - no need to
set any additional variable.

I also increased the gnutls-log-level to 1 and saw a resource temporarily
unavailable errors. I'm running a dual stack network (IPv4 and IPv6) and
wonder if perhaps elpa.gnu.org IPv4 was fine but IPv6 was not and my system
was attempting to connect via IPv6. Thais could explain why I had more
success on the macOS as that system has IPv6 set to link-local only.

All speculation at this point. All working with the emacs pretest version,
so now I can get back to what I was originally trying to do oh so many
houts ago!

On Fri, 19 Jul 2019 at 23:06, Lennard Henze <henzelen@HIDDEN> wrote:

> Cleaned everything:
>
> emacs -Q: get into small buffer for lisp eval
>
> try to set via set-variable: does not find gnutls-algorithm-priority (only
> var starting with gnutls is gnutls-min-prime-bits)
>
> do customize-group gnutls: there the variable gnutls-algorithm-priority is
> shown and set to nil
>
> change it to NORMAL:-VERS-TLS1.3
>
> run package-initialize: no problem
>
> run package-refresh-contents: no problem
>
> install undo-tree via package-install ret undo-tree ret: no problem
>  On 19.07.19 14:33, Tim Cross wrote:
>
> What happens if you do
>
> emacs -Q
>
> set the gnutls-algorithm-priority (using customize-group or set-variable)
>
> and then
>
> M-x customize-group gnutls
>
> M-x package-initialise
> M-x package-refresh-contents
>
> I get a failed to download 'gnu' archive error. If I try to install the
> delight package (also a dependency of use-package) I get the bad response
> error.
>
> The issue is definitely TLS related, but not sure if it is client or
> server end. When I set the perferred algorithm variable, the connections to
> MELPA fail as well. Without setting that variable (i.e. set to nil) the
> connections to MELPA work fine and only ELPA fails.
>
> Tim
>
>
>
> On Fri, 19 Jul 2019 at 22:15, Lennard Henze <henzelen@HIDDEN> wrote:
>
>> Hey, I just double checked to not cause unnecessary confusion:
>>
>> Crated new user on arch to get empty home:
>>
>> used same .emacs as before, but without (setq gnutls-algorithm-priority
>> "NORMAL:-VERS-TLS1.3"). After refreshing package list i can find undo-tree
>> in gnu repos. When i try to install get the same bad request bug.
>>
>> After adding the line (setq gnutls-algorithm-priority
>> "NORMAL:-VERS-TLS1.3")
>> use-package downloads the package properly at startup and everything
>> works fine.
>>
>> Can i provide additional debug info?
>> Still not sure tho if its some dumb mistake in my os.
>>
>> On 19.07.19 14:09, Tim Cross wrote:
>>
>> Yep, checked and it made no difference. Did get a little more wrt error
>> info
>>
>> gnutls.el: (err=[-50] The request is invalid.) boot: (:priority
>> "NORMAL:-VERS-TLS1.3" :hostname melpa.org :loglevel 0 :min-prime-bits
>> 256 :trustfiles (/etc/ssl/certs/ca-certificates.crt) :crlfiles nil :keylist
>> nil :verify-flags nil :verify-error nil :callbacks nil)
>>
>> Also tried with TLS 1.2, same error.
>>
>>
>>
>> On Fri, 19 Jul 2019 at 22:02, Noam Postavsky <npostavs@HIDDEN> wrote:
>>
>>> Robert Pluim <rpluim@HIDDEN> writes:
>>>
>>> >     Noam> Does (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")
>>> help?  If
>>> >     Noam> yes, this is likely Bug#34341 (should already be fixed
>>> already in
>>> >     Noam> emacs-26, and the 26.2.90 pretest).
>>> >
>>> > elpa.gnu.org uses TLS1.2, not TLS1.3. But emacs-27 has a bunch of
>>> > changes in its TLS handling that might improve matters.
>>>
>>> Hmm, it does.  On the other hand, Lennard told me [Lennard, please use
>>> "Reply All" next time so your response goes to the bug list] that (setq
>>> gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3") did actually help.
>>>
>>> Tim, can you check the gnutls-algorithm-priority workaround too?
>>>
>>>
>>
>> --
>> regards,
>>
>> Tim
>>
>> --
>> Tim Cross
>>
>>
>
> --
> regards,
>
> Tim
>
> --
> Tim Cross
>
>

-- 
regards,

Tim

--
Tim Cross

--0000000000005a5557058e0890a8
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Weird. When I set that variable, both elpa and melpa fail.=
=C2=A0<div><br></div><div>I upgraded to the 26.2.90 pretest and now it all =
works fine - no need to set any additional variable.=C2=A0</div><div><br></=
div><div>I also increased the gnutls-log-level to 1 and saw a resource temp=
orarily unavailable errors. I&#39;m running a dual stack network (IPv4 and =
IPv6) and wonder if perhaps <a href=3D"http://elpa.gnu.org">elpa.gnu.org</a=
> IPv4 was fine but IPv6 was not and my system was attempting to connect vi=
a IPv6. Thais could explain why I had more success on the macOS as that sys=
tem has IPv6 set to link-local only.=C2=A0</div><div><br></div><div>All spe=
culation at this point. All working with the emacs pretest version, so now =
I can get back to what I was originally trying to do oh so many houts ago!<=
/div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_a=
ttr">On Fri, 19 Jul 2019 at 23:06, Lennard Henze &lt;<a href=3D"mailto:henz=
elen@HIDDEN">henzelen@HIDDEN</a>&gt; wrote:<br></div><blockquot=
e class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px s=
olid rgb(204,204,204);padding-left:1ex">
 =20
   =20
 =20
  <div bgcolor=3D"#FFFFFF">
    <p>Cleaned everything:</p>
    <p>emacs -Q: get into small buffer for lisp eval</p>
    <p>try to set via set-variable: does not find
      gnutls-algorithm-priority (only var starting with gnutls is
      gnutls-min-prime-bits)</p>
    <p>do customize-group gnutls: there the variable
      gnutls-algorithm-priority is shown and set to nil</p>
    <p>change it to NORMAL:-VERS-TLS1.3</p>
    <p>run package-initialize: no problem</p>
    <p>run package-refresh-contents: no problem</p>
    <p>install undo-tree via package-install ret undo-tree ret: no
      problem<br>
    </p>
    <div class=3D"gmail-m_6018019619691885506moz-cite-prefix">=C2=A0On 19.0=
7.19 14:33, Tim Cross wrote:<br>
    </div>
    <blockquote type=3D"cite">
     =20
      <div dir=3D"ltr">What happens if you do=C2=A0
        <div><br>
        </div>
        <div>emacs -Q</div>
        <div><br>
        </div>
        <div>set the gnutls-algorithm-priority (using customize-group or
          set-variable)</div>
        <div>=C2=A0<br>
        </div>
        <div>and then</div>
        <div><br>
        </div>
        <div>M-x customize-group gnutls</div>
        <div><br>
        </div>
        <div>M-x package-initialise<br>
        </div>
        <div>M-x package-refresh-contents</div>
        <div><br>
        </div>
        <div>I get a failed to download &#39;gnu&#39; archive error. If I t=
ry to
          install the delight package (also a dependency of use-package)
          I get the bad response error.</div>
        <div><br>
        </div>
        <div>The issue is definitely TLS related, but not sure if it is
          client or server end. When I set the perferred algorithm
          variable, the connections to MELPA fail as well. Without
          setting that variable (i.e. set to nil) the connections to
          MELPA work fine and only ELPA fails.</div>
        <div><br>
        </div>
        <div>Tim</div>
        <div><br>
        </div>
        <div><br>
        </div>
      </div>
      <br>
      <div class=3D"gmail_quote">
        <div dir=3D"ltr" class=3D"gmail_attr">On Fri, 19 Jul 2019 at 22:15,
          Lennard Henze &lt;<a href=3D"mailto:henzelen@HIDDEN" target=
=3D"_blank">henzelen@HIDDEN</a>&gt; wrote:<br>
        </div>
        <blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex=
;border-left:1px solid rgb(204,204,204);padding-left:1ex">
          <div bgcolor=3D"#FFFFFF">
            <p>Hey, I just double checked to not cause unnecessary
              confusion:</p>
            <p>Crated new user on arch to get empty home:</p>
            <p>used same .emacs as before, but without (setq
              gnutls-algorithm-priority &quot;NORMAL:-VERS-TLS1.3&quot;). A=
fter
              refreshing package list i can find undo-tree in gnu repos.
              When i try to install get the same bad request bug. <br>
            </p>
            <p>After adding the line (setq gnutls-algorithm-priority
              &quot;NORMAL:-VERS-TLS1.3&quot;)</p>
            <div class=3D"gmail-m_6018019619691885506gmail-m_-2240547618417=
299207moz-cite-prefix">use-package
              downloads the package properly at startup and everything
              works fine.</div>
            <div class=3D"gmail-m_6018019619691885506gmail-m_-2240547618417=
299207moz-cite-prefix"><br>
            </div>
            <div class=3D"gmail-m_6018019619691885506gmail-m_-2240547618417=
299207moz-cite-prefix">Can
              i provide additional debug info?</div>
            <div class=3D"gmail-m_6018019619691885506gmail-m_-2240547618417=
299207moz-cite-prefix">Still
              not sure tho if its some dumb mistake in my os.</div>
            <div class=3D"gmail-m_6018019619691885506gmail-m_-2240547618417=
299207moz-cite-prefix"><br>
            </div>
            <div class=3D"gmail-m_6018019619691885506gmail-m_-2240547618417=
299207moz-cite-prefix">On
              19.07.19 14:09, Tim Cross wrote:<br>
            </div>
            <blockquote type=3D"cite">
              <div dir=3D"ltr">Yep, checked and it made no difference. Did
                get a little more wrt error info
                <div><br>
                </div>
                <div>gnutls.el: (err=3D[-50] The request is invalid.)
                  boot: (:priority &quot;NORMAL:-VERS-TLS1.3&quot; :hostnam=
e <a href=3D"http://melpa.org" target=3D"_blank">melpa.org</a> :loglevel 0
                  :min-prime-bits 256 :trustfiles
                  (/etc/ssl/certs/ca-certificates.crt) :crlfiles nil
                  :keylist nil :verify-flags nil :verify-error nil
                  :callbacks nil)<br>
                </div>
                <div><br>
                </div>
                <div>Also tried with TLS 1.2, same error.</div>
                <div><br>
                </div>
                <div><br>
                </div>
              </div>
              <br>
              <div class=3D"gmail_quote">
                <div dir=3D"ltr" class=3D"gmail_attr">On Fri, 19 Jul 2019 a=
t
                  22:02, Noam Postavsky &lt;<a href=3D"mailto:npostavs@gmai=
l.com" target=3D"_blank">npostavs@HIDDEN</a>&gt;
                  wrote:<br>
                </div>
                <blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0=
px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">Robert Pl=
uim &lt;<a href=3D"mailto:rpluim@HIDDEN" target=3D"_blank">rpluim@gmail.=
com</a>&gt;
                  writes:<br>
                  <br>
                  &gt;=C2=A0 =C2=A0 =C2=A0Noam&gt; Does (setq gnutls-algori=
thm-priority
                  &quot;NORMAL:-VERS-TLS1.3&quot;) help?=C2=A0 If<br>
                  &gt;=C2=A0 =C2=A0 =C2=A0Noam&gt; yes, this is likely Bug#=
34341
                  (should already be fixed already in<br>
                  &gt;=C2=A0 =C2=A0 =C2=A0Noam&gt; emacs-26, and the 26.2.9=
0 pretest).<br>
                  &gt;<br>
                  &gt; <a href=3D"http://elpa.gnu.org" rel=3D"noreferrer" t=
arget=3D"_blank">elpa.gnu.org</a>
                  uses TLS1.2, not TLS1.3. But emacs-27 has a bunch of<br>
                  &gt; changes in its TLS handling that might improve
                  matters.<br>
                  <br>
                  Hmm, it does.=C2=A0 On the other hand, Lennard told me
                  [Lennard, please use<br>
                  &quot;Reply All&quot; next time so your response goes to =
the bug
                  list] that (setq<br>
                  gnutls-algorithm-priority &quot;NORMAL:-VERS-TLS1.3&quot;=
) did
                  actually help.<br>
                  <br>
                  Tim, can you check the gnutls-algorithm-priority
                  workaround too?<br>
                  <br>
                </blockquote>
              </div>
              <br clear=3D"all">
              <div><br>
              </div>
              -- <br>
              <div dir=3D"ltr" class=3D"gmail-m_6018019619691885506gmail-m_=
-2240547618417299207gmail_signature">
                <div dir=3D"ltr">
                  <div>regards,</div>
                  <div><br>
                  </div>
                  <div>Tim</div>
                  <div><br>
                  </div>
                  <div>--</div>
                  Tim Cross<br>
                  <div><br>
                  </div>
                </div>
              </div>
            </blockquote>
          </div>
        </blockquote>
      </div>
      <br clear=3D"all">
      <div><br>
      </div>
      -- <br>
      <div dir=3D"ltr" class=3D"gmail-m_6018019619691885506gmail_signature"=
>
        <div dir=3D"ltr">
          <div>regards,</div>
          <div><br>
          </div>
          <div>Tim</div>
          <div><br>
          </div>
          <div>--</div>
          Tim Cross<br>
          <div><br>
          </div>
        </div>
      </div>
    </blockquote>
  </div>

</blockquote></div><br clear=3D"all"><div><br></div>-- <br><div dir=3D"ltr"=
 class=3D"gmail_signature"><div dir=3D"ltr"><div>regards,</div><div><br></d=
iv><div>Tim</div><div><br></div><div>--</div>Tim Cross<br><div><br></div></=
div></div>

--0000000000005a5557058e0890a8--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36725: 26.1; Emacs can't connect to gnu elpa
Resent-From: Lennard Henze <henzelen@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 19 Jul 2019 14:03:02 +0000
Resent-Message-ID: <handler.36725.B36725.156354496814283 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36725
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Tim Cross <theophilusx@HIDDEN>, Noam Postavsky <npostavs@HIDDEN>
Cc: 36725 <at> debbugs.gnu.org
Received: via spool by 36725-submit <at> debbugs.gnu.org id=B36725.156354496814283
          (code B ref 36725); Fri, 19 Jul 2019 14:03:02 +0000
Received: (at 36725) by debbugs.gnu.org; 19 Jul 2019 14:02:48 +0000
Received: from localhost ([127.0.0.1]:56372 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoTTC-0003iF-Iy
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 10:02:48 -0400
Received: from ir1.cms.hu-berlin.de ([141.20.1.146]:37300)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <henzelen@HIDDEN>) id 1hoRns-0005e4-9c
 for 36725 <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:16:01 -0400
IronPort-SDR: KbE+yiBf1LJo50CEbH2kdC2h2tXOBQsDlLOXNUQ6Yycztm0TqWMw5BKC7Lx6G4hq/jCNjg/y98
 eOclN7Q5XkXw==
X-IronPort-AV: E=Sophos;i="5.64,282,1559512800"; 
 d="scan'208,217";a="130909058"
Received: from p2e5a6890.dip0.t-ipconnect.de (HELO [192.168.1.115])
 ([46.90.104.144])
 by ir1-relay.cms.hu-berlin.de with ESMTP/TLS/ECDHE-RSA-AES256-GCM-SHA384;
 19 Jul 2019 14:15:58 +0200
References: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
 <87zhlaykbw.fsf@HIDDEN> <m2y30upg3l.fsf@HIDDEN>
 <87lfwuxmdt.fsf@HIDDEN>
 <CAC=50j-JAg+5Pu5e8wNCmR0mwOFdw5fpHxCjxDZn8asdGJo7Vg@HIDDEN>
From: Lennard Henze <henzelen@HIDDEN>
Message-ID: <2facabee-41b3-4cef-c053-3cf4cd7089f8@HIDDEN>
Date: Fri, 19 Jul 2019 14:15:57 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <CAC=50j-JAg+5Pu5e8wNCmR0mwOFdw5fpHxCjxDZn8asdGJo7Vg@HIDDEN>
Content-Type: multipart/alternative;
 boundary="------------B6028A8DDF81344D58604FCC"
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Mailman-Approved-At: Fri, 19 Jul 2019 10:02:45 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This is a multi-part message in MIME format.
--------------B6028A8DDF81344D58604FCC
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit

Hey, I just double checked to not cause unnecessary confusion:

Crated new user on arch to get empty home:

used same .emacs as before, but without (setq gnutls-algorithm-priority 
"NORMAL:-VERS-TLS1.3"). After refreshing package list i can find 
undo-tree in gnu repos. When i try to install get the same bad request bug.

After adding the line (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")

use-package downloads the package properly at startup and everything 
works fine.

Can i provide additional debug info?
Still not sure tho if its some dumb mistake in my os.

On 19.07.19 14:09, Tim Cross wrote:
> Yep, checked and it made no difference. Did get a little more wrt 
> error info
>
> gnutls.el: (err=[-50] The request is invalid.) boot: (:priority 
> "NORMAL:-VERS-TLS1.3" :hostname melpa.org <http://melpa.org> :loglevel 
> 0 :min-prime-bits 256 :trustfiles (/etc/ssl/certs/ca-certificates.crt) 
> :crlfiles nil :keylist nil :verify-flags nil :verify-error nil 
> :callbacks nil)
>
> Also tried with TLS 1.2, same error.
>
>
>
> On Fri, 19 Jul 2019 at 22:02, Noam Postavsky <npostavs@HIDDEN 
> <mailto:npostavs@HIDDEN>> wrote:
>
>     Robert Pluim <rpluim@HIDDEN <mailto:rpluim@HIDDEN>> writes:
>
>     >     Noam> Does (setq gnutls-algorithm-priority
>     "NORMAL:-VERS-TLS1.3") help?  If
>     >     Noam> yes, this is likely Bug#34341 (should already be fixed
>     already in
>     >     Noam> emacs-26, and the 26.2.90 pretest).
>     >
>     > elpa.gnu.org <http://elpa.gnu.org> uses TLS1.2, not TLS1.3. But
>     emacs-27 has a bunch of
>     > changes in its TLS handling that might improve matters.
>
>     Hmm, it does.  On the other hand, Lennard told me [Lennard, please use
>     "Reply All" next time so your response goes to the bug list] that
>     (setq
>     gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3") did actually help.
>
>     Tim, can you check the gnutls-algorithm-priority workaround too?
>
>
>
> -- 
> regards,
>
> Tim
>
> --
> Tim Cross
>

--------------B6028A8DDF81344D58604FCC
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: 8bit

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  </head>
  <body bgcolor="#FFFFFF" text="#000000">
    <p>Hey, I just double checked to not cause unnecessary confusion:</p>
    <p>Crated new user on arch to get empty home:</p>
    <p>used same .emacs as before, but without (setq
      gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3"). After refreshing
      package list i can find undo-tree in gnu repos. When i try to
      install get the same bad request bug. <br>
    </p>
    <p>After adding the line (setq gnutls-algorithm-priority
      "NORMAL:-VERS-TLS1.3")</p>
    <div class="moz-cite-prefix">use-package downloads the package
      properly at startup and everything works fine.</div>
    <div class="moz-cite-prefix"><br>
    </div>
    <div class="moz-cite-prefix">Can i provide additional debug info?</div>
    <div class="moz-cite-prefix">Still not sure tho if its some dumb
      mistake in my os.</div>
    <div class="moz-cite-prefix"><br>
    </div>
    <div class="moz-cite-prefix">On 19.07.19 14:09, Tim Cross wrote:<br>
    </div>
    <blockquote type="cite"
cite="mid:CAC=50j-JAg+5Pu5e8wNCmR0mwOFdw5fpHxCjxDZn8asdGJo7Vg@HIDDEN">
      <meta http-equiv="content-type" content="text/html; charset=UTF-8">
      <div dir="ltr">Yep, checked and it made no difference. Did get a
        little more wrt error info
        <div><br>
        </div>
        <div>gnutls.el: (err=[-50] The request is invalid.) boot:
          (:priority "NORMAL:-VERS-TLS1.3" :hostname <a
            href="http://melpa.org" moz-do-not-send="true">melpa.org</a>
          :loglevel 0 :min-prime-bits 256 :trustfiles
          (/etc/ssl/certs/ca-certificates.crt) :crlfiles nil :keylist
          nil :verify-flags nil :verify-error nil :callbacks nil)<br>
        </div>
        <div><br>
        </div>
        <div>Also tried with TLS 1.2, same error.</div>
        <div><br>
        </div>
        <div><br>
        </div>
      </div>
      <br>
      <div class="gmail_quote">
        <div dir="ltr" class="gmail_attr">On Fri, 19 Jul 2019 at 22:02,
          Noam Postavsky &lt;<a href="mailto:npostavs@HIDDEN"
            moz-do-not-send="true">npostavs@HIDDEN</a>&gt; wrote:<br>
        </div>
        <blockquote class="gmail_quote" style="margin:0px 0px 0px
          0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">Robert
          Pluim &lt;<a href="mailto:rpluim@HIDDEN" target="_blank"
            moz-do-not-send="true">rpluim@HIDDEN</a>&gt; writes:<br>
          <br>
          &gt;     Noam&gt; Does (setq gnutls-algorithm-priority
          "NORMAL:-VERS-TLS1.3") help?  If<br>
          &gt;     Noam&gt; yes, this is likely Bug#34341 (should
          already be fixed already in<br>
          &gt;     Noam&gt; emacs-26, and the 26.2.90 pretest).<br>
          &gt;<br>
          &gt; <a href="http://elpa.gnu.org" rel="noreferrer"
            target="_blank" moz-do-not-send="true">elpa.gnu.org</a> uses
          TLS1.2, not TLS1.3. But emacs-27 has a bunch of<br>
          &gt; changes in its TLS handling that might improve matters.<br>
          <br>
          Hmm, it does.  On the other hand, Lennard told me [Lennard,
          please use<br>
          "Reply All" next time so your response goes to the bug list]
          that (setq<br>
          gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3") did actually
          help.<br>
          <br>
          Tim, can you check the gnutls-algorithm-priority workaround
          too?<br>
          <br>
        </blockquote>
      </div>
      <br clear="all">
      <div><br>
      </div>
      -- <br>
      <div dir="ltr" class="gmail_signature">
        <div dir="ltr">
          <div>regards,</div>
          <div><br>
          </div>
          <div>Tim</div>
          <div><br>
          </div>
          <div>--</div>
          Tim Cross<br>
          <div><br>
          </div>
        </div>
      </div>
    </blockquote>
  </body>
</html>

--------------B6028A8DDF81344D58604FCC--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36725: 26.1; Emacs can't connect to gnu elpa
Resent-From: Lennard Henze <henzelen@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 19 Jul 2019 14:03:02 +0000
Resent-Message-ID: <handler.36725.B36725.156354496814289 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36725
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Tim Cross <theophilusx@HIDDEN>
Cc: Noam Postavsky <npostavs@HIDDEN>, 36725 <at> debbugs.gnu.org
Received: via spool by 36725-submit <at> debbugs.gnu.org id=B36725.156354496814289
          (code B ref 36725); Fri, 19 Jul 2019 14:03:02 +0000
Received: (at 36725) by debbugs.gnu.org; 19 Jul 2019 14:02:48 +0000
Received: from localhost ([127.0.0.1]:56374 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoTTE-0003iK-8f
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 10:02:48 -0400
Received: from ir1.cms.hu-berlin.de ([141.20.1.146]:44736)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <henzelen@HIDDEN>) id 1hoSat-0008Pb-NN
 for 36725 <at> debbugs.gnu.org; Fri, 19 Jul 2019 09:06:40 -0400
IronPort-SDR: SMF9u/EJ2kqvAkLDmGEVKllF8JmCu0RxS0SxFGbzEhQi1dzXUzfPQpyi3LCOyA81rhsjGMx32Z
 qrfkvvhRX5ug==
X-IronPort-AV: E=Sophos;i="5.64,282,1559512800"; 
 d="scan'208,217";a="130914588"
Received: from p2e5a6890.dip0.t-ipconnect.de (HELO [192.168.1.115])
 ([46.90.104.144])
 by ir1-relay.cms.hu-berlin.de with ESMTP/TLS/ECDHE-RSA-AES256-GCM-SHA384;
 19 Jul 2019 15:06:37 +0200
References: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
 <87zhlaykbw.fsf@HIDDEN> <m2y30upg3l.fsf@HIDDEN>
 <87lfwuxmdt.fsf@HIDDEN>
 <CAC=50j-JAg+5Pu5e8wNCmR0mwOFdw5fpHxCjxDZn8asdGJo7Vg@HIDDEN>
 <2facabee-41b3-4cef-c053-3cf4cd7089f8@HIDDEN>
 <CAC=50j8RgTqo8LzR4-LpvG-SQx2N2=-JZGbMe=9FMP7V7bT+=A@HIDDEN>
From: Lennard Henze <henzelen@HIDDEN>
Message-ID: <c8ea7ea3-4cd1-b0e8-8da4-2e05baf7a502@HIDDEN>
Date: Fri, 19 Jul 2019 15:06:37 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <CAC=50j8RgTqo8LzR4-LpvG-SQx2N2=-JZGbMe=9FMP7V7bT+=A@HIDDEN>
Content-Type: multipart/alternative;
 boundary="------------FC2D03751E1D318C4475A0B8"
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Mailman-Approved-At: Fri, 19 Jul 2019 10:02:45 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This is a multi-part message in MIME format.
--------------FC2D03751E1D318C4475A0B8
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit

Cleaned everything:

emacs -Q: get into small buffer for lisp eval

try to set via set-variable: does not find gnutls-algorithm-priority 
(only var starting with gnutls is gnutls-min-prime-bits)

do customize-group gnutls: there the variable gnutls-algorithm-priority 
is shown and set to nil

change it to NORMAL:-VERS-TLS1.3

run package-initialize: no problem

run package-refresh-contents: no problem

install undo-tree via package-install ret undo-tree ret: no problem

  On 19.07.19 14:33, Tim Cross wrote:
> What happens if you do
>
> emacs -Q
>
> set the gnutls-algorithm-priority (using customize-group or set-variable)
>
> and then
>
> M-x customize-group gnutls
>
> M-x package-initialise
> M-x package-refresh-contents
>
> I get a failed to download 'gnu' archive error. If I try to install 
> the delight package (also a dependency of use-package) I get the bad 
> response error.
>
> The issue is definitely TLS related, but not sure if it is client or 
> server end. When I set the perferred algorithm variable, the 
> connections to MELPA fail as well. Without setting that variable (i.e. 
> set to nil) the connections to MELPA work fine and only ELPA fails.
>
> Tim
>
>
>
> On Fri, 19 Jul 2019 at 22:15, Lennard Henze <henzelen@HIDDEN 
> <mailto:henzelen@HIDDEN>> wrote:
>
>     Hey, I just double checked to not cause unnecessary confusion:
>
>     Crated new user on arch to get empty home:
>
>     used same .emacs as before, but without (setq
>     gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3"). After refreshing
>     package list i can find undo-tree in gnu repos. When i try to
>     install get the same bad request bug.
>
>     After adding the line (setq gnutls-algorithm-priority
>     "NORMAL:-VERS-TLS1.3")
>
>     use-package downloads the package properly at startup and
>     everything works fine.
>
>     Can i provide additional debug info?
>     Still not sure tho if its some dumb mistake in my os.
>
>     On 19.07.19 14:09, Tim Cross wrote:
>>     Yep, checked and it made no difference. Did get a little more wrt
>>     error info
>>
>>     gnutls.el: (err=[-50] The request is invalid.) boot: (:priority
>>     "NORMAL:-VERS-TLS1.3" :hostname melpa.org <http://melpa.org>
>>     :loglevel 0 :min-prime-bits 256 :trustfiles
>>     (/etc/ssl/certs/ca-certificates.crt) :crlfiles nil :keylist nil
>>     :verify-flags nil :verify-error nil :callbacks nil)
>>
>>     Also tried with TLS 1.2, same error.
>>
>>
>>
>>     On Fri, 19 Jul 2019 at 22:02, Noam Postavsky <npostavs@HIDDEN
>>     <mailto:npostavs@HIDDEN>> wrote:
>>
>>         Robert Pluim <rpluim@HIDDEN <mailto:rpluim@HIDDEN>> writes:
>>
>>         >     Noam> Does (setq gnutls-algorithm-priority
>>         "NORMAL:-VERS-TLS1.3") help?  If
>>         >     Noam> yes, this is likely Bug#34341 (should already be
>>         fixed already in
>>         >     Noam> emacs-26, and the 26.2.90 pretest).
>>         >
>>         > elpa.gnu.org <http://elpa.gnu.org> uses TLS1.2, not TLS1.3.
>>         But emacs-27 has a bunch of
>>         > changes in its TLS handling that might improve matters.
>>
>>         Hmm, it does.  On the other hand, Lennard told me [Lennard,
>>         please use
>>         "Reply All" next time so your response goes to the bug list]
>>         that (setq
>>         gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3") did actually
>>         help.
>>
>>         Tim, can you check the gnutls-algorithm-priority workaround too?
>>
>>
>>
>>     -- 
>>     regards,
>>
>>     Tim
>>
>>     --
>>     Tim Cross
>>
>
>
> -- 
> regards,
>
> Tim
>
> --
> Tim Cross
>

--------------FC2D03751E1D318C4475A0B8
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: 8bit

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  </head>
  <body bgcolor="#FFFFFF" text="#000000">
    <p>Cleaned everything:</p>
    <p>emacs -Q: get into small buffer for lisp eval</p>
    <p>try to set via set-variable: does not find
      gnutls-algorithm-priority (only var starting with gnutls is
      gnutls-min-prime-bits)</p>
    <p>do customize-group gnutls: there the variable
      gnutls-algorithm-priority is shown and set to nil</p>
    <p>change it to NORMAL:-VERS-TLS1.3</p>
    <p>run package-initialize: no problem</p>
    <p>run package-refresh-contents: no problem</p>
    <p>install undo-tree via package-install ret undo-tree ret: no
      problem<br>
    </p>
    <div class="moz-cite-prefix"> On 19.07.19 14:33, Tim Cross wrote:<br>
    </div>
    <blockquote type="cite"
cite="mid:CAC=50j8RgTqo8LzR4-LpvG-SQx2N2=-JZGbMe=9FMP7V7bT+=A@HIDDEN">
      <meta http-equiv="content-type" content="text/html; charset=UTF-8">
      <div dir="ltr">What happens if you do 
        <div><br>
        </div>
        <div>emacs -Q</div>
        <div><br>
        </div>
        <div>set the gnutls-algorithm-priority (using customize-group or
          set-variable)</div>
        <div> <br>
        </div>
        <div>and then</div>
        <div><br>
        </div>
        <div>M-x customize-group gnutls</div>
        <div><br>
        </div>
        <div>M-x package-initialise<br>
        </div>
        <div>M-x package-refresh-contents</div>
        <div><br>
        </div>
        <div>I get a failed to download 'gnu' archive error. If I try to
          install the delight package (also a dependency of use-package)
          I get the bad response error.</div>
        <div><br>
        </div>
        <div>The issue is definitely TLS related, but not sure if it is
          client or server end. When I set the perferred algorithm
          variable, the connections to MELPA fail as well. Without
          setting that variable (i.e. set to nil) the connections to
          MELPA work fine and only ELPA fails.</div>
        <div><br>
        </div>
        <div>Tim</div>
        <div><br>
        </div>
        <div><br>
        </div>
      </div>
      <br>
      <div class="gmail_quote">
        <div dir="ltr" class="gmail_attr">On Fri, 19 Jul 2019 at 22:15,
          Lennard Henze &lt;<a href="mailto:henzelen@HIDDEN"
            moz-do-not-send="true">henzelen@HIDDEN</a>&gt; wrote:<br>
        </div>
        <blockquote class="gmail_quote" style="margin:0px 0px 0px
          0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">
          <div bgcolor="#FFFFFF">
            <p>Hey, I just double checked to not cause unnecessary
              confusion:</p>
            <p>Crated new user on arch to get empty home:</p>
            <p>used same .emacs as before, but without (setq
              gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3"). After
              refreshing package list i can find undo-tree in gnu repos.
              When i try to install get the same bad request bug. <br>
            </p>
            <p>After adding the line (setq gnutls-algorithm-priority
              "NORMAL:-VERS-TLS1.3")</p>
            <div class="gmail-m_-2240547618417299207moz-cite-prefix">use-package
              downloads the package properly at startup and everything
              works fine.</div>
            <div class="gmail-m_-2240547618417299207moz-cite-prefix"><br>
            </div>
            <div class="gmail-m_-2240547618417299207moz-cite-prefix">Can
              i provide additional debug info?</div>
            <div class="gmail-m_-2240547618417299207moz-cite-prefix">Still
              not sure tho if its some dumb mistake in my os.</div>
            <div class="gmail-m_-2240547618417299207moz-cite-prefix"><br>
            </div>
            <div class="gmail-m_-2240547618417299207moz-cite-prefix">On
              19.07.19 14:09, Tim Cross wrote:<br>
            </div>
            <blockquote type="cite">
              <div dir="ltr">Yep, checked and it made no difference. Did
                get a little more wrt error info
                <div><br>
                </div>
                <div>gnutls.el: (err=[-50] The request is invalid.)
                  boot: (:priority "NORMAL:-VERS-TLS1.3" :hostname <a
                    href="http://melpa.org" target="_blank"
                    moz-do-not-send="true">melpa.org</a> :loglevel 0
                  :min-prime-bits 256 :trustfiles
                  (/etc/ssl/certs/ca-certificates.crt) :crlfiles nil
                  :keylist nil :verify-flags nil :verify-error nil
                  :callbacks nil)<br>
                </div>
                <div><br>
                </div>
                <div>Also tried with TLS 1.2, same error.</div>
                <div><br>
                </div>
                <div><br>
                </div>
              </div>
              <br>
              <div class="gmail_quote">
                <div dir="ltr" class="gmail_attr">On Fri, 19 Jul 2019 at
                  22:02, Noam Postavsky &lt;<a
                    href="mailto:npostavs@HIDDEN" target="_blank"
                    moz-do-not-send="true">npostavs@HIDDEN</a>&gt;
                  wrote:<br>
                </div>
                <blockquote class="gmail_quote" style="margin:0px 0px
                  0px 0.8ex;border-left:1px solid
                  rgb(204,204,204);padding-left:1ex">Robert Pluim &lt;<a
                    href="mailto:rpluim@HIDDEN" target="_blank"
                    moz-do-not-send="true">rpluim@HIDDEN</a>&gt;
                  writes:<br>
                  <br>
                  &gt;     Noam&gt; Does (setq gnutls-algorithm-priority
                  "NORMAL:-VERS-TLS1.3") help?  If<br>
                  &gt;     Noam&gt; yes, this is likely Bug#34341
                  (should already be fixed already in<br>
                  &gt;     Noam&gt; emacs-26, and the 26.2.90 pretest).<br>
                  &gt;<br>
                  &gt; <a href="http://elpa.gnu.org" rel="noreferrer"
                    target="_blank" moz-do-not-send="true">elpa.gnu.org</a>
                  uses TLS1.2, not TLS1.3. But emacs-27 has a bunch of<br>
                  &gt; changes in its TLS handling that might improve
                  matters.<br>
                  <br>
                  Hmm, it does.  On the other hand, Lennard told me
                  [Lennard, please use<br>
                  "Reply All" next time so your response goes to the bug
                  list] that (setq<br>
                  gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3") did
                  actually help.<br>
                  <br>
                  Tim, can you check the gnutls-algorithm-priority
                  workaround too?<br>
                  <br>
                </blockquote>
              </div>
              <br clear="all">
              <div><br>
              </div>
              -- <br>
              <div dir="ltr"
                class="gmail-m_-2240547618417299207gmail_signature">
                <div dir="ltr">
                  <div>regards,</div>
                  <div><br>
                  </div>
                  <div>Tim</div>
                  <div><br>
                  </div>
                  <div>--</div>
                  Tim Cross<br>
                  <div><br>
                  </div>
                </div>
              </div>
            </blockquote>
          </div>
        </blockquote>
      </div>
      <br clear="all">
      <div><br>
      </div>
      -- <br>
      <div dir="ltr" class="gmail_signature">
        <div dir="ltr">
          <div>regards,</div>
          <div><br>
          </div>
          <div>Tim</div>
          <div><br>
          </div>
          <div>--</div>
          Tim Cross<br>
          <div><br>
          </div>
        </div>
      </div>
    </blockquote>
  </body>
</html>

--------------FC2D03751E1D318C4475A0B8--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36725: 26.1; Emacs can't connect to gnu elpa
Resent-From: Noam Postavsky <npostavs@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 19 Jul 2019 14:15:01 +0000
Resent-Message-ID: <handler.36725.B36725.156354566915365 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36725
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Tim Cross <theophilusx@HIDDEN>
Cc: Lennard Henze <henzelen@HIDDEN>, 36725 <at> debbugs.gnu.org
Received: via spool by 36725-submit <at> debbugs.gnu.org id=B36725.156354566915365
          (code B ref 36725); Fri, 19 Jul 2019 14:15:01 +0000
Received: (at 36725) by debbugs.gnu.org; 19 Jul 2019 14:14:29 +0000
Received: from localhost ([127.0.0.1]:56386 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoTeX-0003zk-13
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 10:14:29 -0400
Received: from mail-io1-f53.google.com ([209.85.166.53]:45934)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hoTeW-0003zY-4C
 for 36725 <at> debbugs.gnu.org; Fri, 19 Jul 2019 10:14:28 -0400
Received: by mail-io1-f53.google.com with SMTP id g20so58683349ioc.12
 for <36725 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 07:14:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=fgj1marfJwCav3V7LTEYRmT3DMswGydzGUco1UZOZaI=;
 b=U5Rl4n/Jv9ziR92LmA9Gv9/ELZCjHMiP4J5wixk+AjgHc19a4/3GlQSAGn4CWxSlZc
 P3VYoHYUuh3DscK8WV9CzOXWz4VzAQl/cQtPgygDIBB2pJUXmEFmhUxs1aCD86mR6FHQ
 NulFhjlTPOOxsYiUNFCM4yWod2k+mTyt8aRDWRjngRxGl6QhFxmSNxiA68NlMFsXHEvo
 7QxaDKWkQqtnjQY2w7k9hezMEDXm3jY7oqFwWkog3StFbpjhOLlFl72I6duUXsYMszIM
 D8c2qYieF4LzzSTjWZEXxLuGf/YlKS/htgAJtsiOXNBusroATbsGV8iWZENraU5kX10b
 w9+w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=fgj1marfJwCav3V7LTEYRmT3DMswGydzGUco1UZOZaI=;
 b=nNnQ7e/n5klby2JJyPt4UNN7AFQlCa2JZqqksfrCIxEpTO52CV4J//jeMMjxvL8Ffi
 8g/+zOpprztQvm6pfScir1Rhe3F9w9OB2j48Pz+R7bdm/PTaN0pAW9+DpEEsWpkpIWIY
 W1pJI9otod/pNZB9YOjBfs1nZxpM2CpSb9TZH63agJnlFwYpbH4e3m7RSdbWzzt8/9N/
 lg/IIgumoIy/7bG/gpc9fgUJ1TUUhTFChSXRXmmp6qOnK0TviiMvFly7sgPVSXZT/cdO
 qgpmqhP/s+PfLtO/7TGlPUtnI9RVCnYUe1aUQ5v8qT/KBzdRR5WLLbQwuPVjqoAWLK1K
 pbog==
X-Gm-Message-State: APjAAAVzyr9DESCtsmKJKVEf6FdmHvPUhhgx0fau0r+HzB1dXOMjlz5D
 jneytURi8CtholhzniywohEfpMmp
X-Google-Smtp-Source: APXvYqxJ78oKdNNsTJ2vOmucNOdGOpv5zIAYjDmdVFcOCWe81xs1EZkIQTZI0wOIKuIqs1Xi374WMQ==
X-Received: by 2002:a5d:8759:: with SMTP id k25mr18322322iol.307.1563545662353; 
 Fri, 19 Jul 2019 07:14:22 -0700 (PDT)
Received: from vhost2
 (CPE001143542e1f-CMf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.51.196])
 by smtp.gmail.com with ESMTPSA id l5sm56471439ioq.83.2019.07.19.07.14.21
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 19 Jul 2019 07:14:21 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
References: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
 <87zhlaykbw.fsf@HIDDEN> <m2y30upg3l.fsf@HIDDEN>
 <87lfwuxmdt.fsf@HIDDEN>
 <CAC=50j-JAg+5Pu5e8wNCmR0mwOFdw5fpHxCjxDZn8asdGJo7Vg@HIDDEN>
 <CAC=50j8Lk5O=B_EM9Pcn2-p207PMzP0Y2rFnd8uphuM_R+7jGg@HIDDEN>
Date: Fri, 19 Jul 2019 10:14:20 -0400
In-Reply-To: <CAC=50j8Lk5O=B_EM9Pcn2-p207PMzP0Y2rFnd8uphuM_R+7jGg@HIDDEN> (Tim
 Cross's message of "Fri, 19 Jul 2019 22:15:55 +1000")
Message-ID: <8536j2kt6r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1.92 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Tim Cross <theophilusx@HIDDEN> writes:

> Should have be a little clearer. That work-around causes all https
> connections to fail. As you will see from the error I posted, that error
> was from melpa, which works without that setting. The same error with
> elpa.gnu.org as well.  Without that setting, the melpa https connection
> works and only the elpa https connection fails.

> On Fri, 19 Jul 2019 at 22:09, Tim Cross <theophilusx@HIDDEN> wrote:
>>
>> gnutls.el: (err=[-50] The request is invalid.) boot: (:priority
>> "NORMAL:-VERS-TLS1.3" :hostname melpa.org :loglevel 0 :min-prime-bits 256
>> :trustfiles (/etc/ssl/certs/ca-certificates.crt) :crlfiles nil :keylist nil
>> :verify-flags nil :verify-error nil :callbacks nil)

That's the behaviour I would expect for gnutls versions 3.6.2 and
earlier (because gnutls only started supporting TLS1.3 at version
3.6.3).  But you said

> My GNUTLS version looks to be 3.6.5. This is a Ubuntu 19.04 system (which
> was released last April) with all updates applied.

so that seems a little strange.  Does libgnutls-version have the 30605
value?  Can you also show the output from

    ldd $(which emacs) | grep gnutls





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36725: 26.1; Emacs can't connect to gnu elpa
Resent-From: Tim Cross <theophilusx@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 19 Jul 2019 15:47:02 +0000
Resent-Message-ID: <handler.36725.B36725.156355119824859 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36725
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Noam Postavsky <npostavs@HIDDEN>
Cc: Lennard Henze <henzelen@HIDDEN>, 36725 <at> debbugs.gnu.org
Received: via spool by 36725-submit <at> debbugs.gnu.org id=B36725.156355119824859
          (code B ref 36725); Fri, 19 Jul 2019 15:47:02 +0000
Received: (at 36725) by debbugs.gnu.org; 19 Jul 2019 15:46:38 +0000
Received: from localhost ([127.0.0.1]:56467 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoV5h-0006Ss-Jc
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 11:46:38 -0400
Received: from mail-oi1-f170.google.com ([209.85.167.170]:41068)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <theophilusx@HIDDEN>) id 1hoV5d-0006SY-Qd
 for 36725 <at> debbugs.gnu.org; Fri, 19 Jul 2019 11:46:34 -0400
Received: by mail-oi1-f170.google.com with SMTP id g7so24593756oia.8
 for <36725 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 08:46:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=mXIyLkUglPfb22rZnznNlq3bKGcKMmbqsTWqk9ih6Sk=;
 b=XJZAkzx9QpdFKnr5P2QxXgf7Op3EqyxTHrIn2PzqPJuJMLzLvt7jG5Sp2oeou0KJw7
 QOstufjJosUvDiEWc1PTb0uBfdfCTB9drOuGStj5YuDYYTmr4+liZoeWt/aYHiWULxWw
 kk06pYbEwIwXsGMSbqH3ZMV4nLMXnj9uOnALNf7tX+frzio6C3ESz95DwhQUdZpy/4xG
 3o9QKhaEEjkQYcG/8pvCgOGvXaWtkisctyebVn/QsOouMFDmNMDwnl0TkGC2ADVxTHC0
 BwtIhpYis8bvRpa7F6L3JAq4fTd9OqIdX6XlnWtf8ZlAjSptuAI86tq2pi+QzoHRZf1R
 3xyQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=mXIyLkUglPfb22rZnznNlq3bKGcKMmbqsTWqk9ih6Sk=;
 b=BiZj4i2H9SvOGL52wHBsnIxar9Zhd9y2N6Pic97LJlZEOt6W1gKklVSKcfC/shkBF4
 U4gqI0ah7L3u7YAEZ0P3l+YtZdLrPxfSip0KHrp7j7Th3k5ANUnjyNhVw21gUyvO1sk3
 AYnFtlyxsJKhJabBYRWnrSDQY17U+fgPYA1jWE3/r++8gyz9Zt69JoUhFWbbfRewpr63
 XhagQvCnMPUz7HDnVTcjBUmllzddNE37rYtOZciQHyBro5G3+GPYR6baUZuiUN1QoW6D
 tapCelQ6khSnNLRta63qJm3i2/GJxjNaEGq0UvQGgoC9BVtC5puNuZTJhWOQlPgKtjI3
 qdHg==
X-Gm-Message-State: APjAAAUblrIS18NRI8TR+LNYvsrYR5AfKE48eRbYo1o2VSElxb+RR9wh
 /AEmA3jSK/6yMANyhrnai8t4PzMDvWMG22Zy8cE=
X-Google-Smtp-Source: APXvYqzEBFW61qlnMWE270gsizBdRNbtwOCh7lFdsVGeDRYfHRtcEG6eTYP+e8JSDstQb2c9EH7XFoMmoMjnh4TchkM=
X-Received: by 2002:aca:4c87:: with SMTP id z129mr27896647oia.75.1563551188061; 
 Fri, 19 Jul 2019 08:46:28 -0700 (PDT)
MIME-Version: 1.0
References: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
 <87zhlaykbw.fsf@HIDDEN> <m2y30upg3l.fsf@HIDDEN>
 <87lfwuxmdt.fsf@HIDDEN>
 <CAC=50j-JAg+5Pu5e8wNCmR0mwOFdw5fpHxCjxDZn8asdGJo7Vg@HIDDEN>
 <CAC=50j8Lk5O=B_EM9Pcn2-p207PMzP0Y2rFnd8uphuM_R+7jGg@HIDDEN>
 <8536j2kt6r.fsf@HIDDEN>
In-Reply-To: <8536j2kt6r.fsf@HIDDEN>
From: Tim Cross <theophilusx@HIDDEN>
Date: Sat, 20 Jul 2019 01:46:16 +1000
Message-ID: <CAC=50j9-U3XQF6bdEe0EzfHBMRxeYU9E-fpsGD1r=H8=EtC=fg@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000271387058e0aa1e8"
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000271387058e0aa1e8
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

libgnutls-version=E2=80=99s value is 30605

=E2=9E=9C  bin ldd emacs-26.2 | grep gnutls
libgnutls.so.30 =3D> /usr/lib/x86_64-linux-gnu/libgnutls.so.30
(0x00007f78d3a1e000)

I still suspect the issue may have been server rather than client. This
system with the same configuration has been connecting to elpa.gnu.org over
https since I first built it when 26.2 was released.  It is only today that
I found https connections to elpa.gnu.org failed.

Note also that to be sure, I did a rebuild and  reinstall of emacs just in
case it had been linked against an older library. This had no effect.

According the the gnutls NEWS file, this version does support 1.3

Tim


On Sat, 20 Jul 2019 at 00:14, Noam Postavsky <npostavs@HIDDEN> wrote:

> Tim Cross <theophilusx@HIDDEN> writes:
>
> > Should have be a little clearer. That work-around causes all https
> > connections to fail. As you will see from the error I posted, that erro=
r
> > was from melpa, which works without that setting. The same error with
> > elpa.gnu.org as well.  Without that setting, the melpa https connection
> > works and only the elpa https connection fails.
>
> > On Fri, 19 Jul 2019 at 22:09, Tim Cross <theophilusx@HIDDEN> wrote:
> >>
> >> gnutls.el: (err=3D[-50] The request is invalid.) boot: (:priority
> >> "NORMAL:-VERS-TLS1.3" :hostname melpa.org :loglevel 0 :min-prime-bits
> 256
> >> :trustfiles (/etc/ssl/certs/ca-certificates.crt) :crlfiles nil :keylis=
t
> nil
> >> :verify-flags nil :verify-error nil :callbacks nil)
>
> That's the behaviour I would expect for gnutls versions 3.6.2 and
> earlier (because gnutls only started supporting TLS1.3 at version
> 3.6.3).  But you said
>
> > My GNUTLS version looks to be 3.6.5. This is a Ubuntu 19.04 system (whi=
ch
> > was released last April) with all updates applied.
>
> so that seems a little strange.  Does libgnutls-version have the 30605
> value?  Can you also show the output from
>
>     ldd $(which emacs) | grep gnutls
>
>

--=20
regards,

Tim

--
Tim Cross

--000000000000271387058e0aa1e8
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">libgnutls-version=E2=80=99s value is 30605<br><div><br></d=
iv><div>=E2=9E=9C =C2=A0bin ldd emacs-26.2 | grep gnutls<br>	libgnutls.so.3=
0 =3D&gt; /usr/lib/x86_64-linux-gnu/libgnutls.so.30 (0x00007f78d3a1e000)<br=
></div><div><br></div><div>I still suspect the issue may have been server r=
ather than client. This system with the same configuration has been connect=
ing to <a href=3D"http://elpa.gnu.org">elpa.gnu.org</a> over https since I =
first built it when 26.2 was released.=C2=A0 It is only today that I found =
https connections to <a href=3D"http://elpa.gnu.org">elpa.gnu.org</a> faile=
d.</div><div><br></div><div>Note also that to be sure, I did a rebuild and=
=C2=A0 reinstall of emacs just in case it had been linked against an older =
library. This had no effect.=C2=A0</div><div><br></div><div>According the t=
he gnutls NEWS file, this version does support 1.3</div><div><br></div><div=
>Tim</div><div><br></div></div><br><div class=3D"gmail_quote"><div dir=3D"l=
tr" class=3D"gmail_attr">On Sat, 20 Jul 2019 at 00:14, Noam Postavsky &lt;<=
a href=3D"mailto:npostavs@HIDDEN">npostavs@HIDDEN</a>&gt; wrote:<br><=
/div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;bo=
rder-left:1px solid rgb(204,204,204);padding-left:1ex">Tim Cross &lt;<a hre=
f=3D"mailto:theophilusx@HIDDEN" target=3D"_blank">theophilusx@HIDDEN<=
/a>&gt; writes:<br>
<br>
&gt; Should have be a little clearer. That work-around causes all https<br>
&gt; connections to fail. As you will see from the error I posted, that err=
or<br>
&gt; was from melpa, which works without that setting. The same error with<=
br>
&gt; <a href=3D"http://elpa.gnu.org" rel=3D"noreferrer" target=3D"_blank">e=
lpa.gnu.org</a> as well.=C2=A0 Without that setting, the melpa https connec=
tion<br>
&gt; works and only the elpa https connection fails.<br>
<br>
&gt; On Fri, 19 Jul 2019 at 22:09, Tim Cross &lt;<a href=3D"mailto:theophil=
usx@HIDDEN" target=3D"_blank">theophilusx@HIDDEN</a>&gt; wrote:<br>
&gt;&gt;<br>
&gt;&gt; gnutls.el: (err=3D[-50] The request is invalid.) boot: (:priority<=
br>
&gt;&gt; &quot;NORMAL:-VERS-TLS1.3&quot; :hostname <a href=3D"http://melpa.=
org" rel=3D"noreferrer" target=3D"_blank">melpa.org</a> :loglevel 0 :min-pr=
ime-bits 256<br>
&gt;&gt; :trustfiles (/etc/ssl/certs/ca-certificates.crt) :crlfiles nil :ke=
ylist nil<br>
&gt;&gt; :verify-flags nil :verify-error nil :callbacks nil)<br>
<br>
That&#39;s the behaviour I would expect for gnutls versions 3.6.2 and<br>
earlier (because gnutls only started supporting TLS1.3 at version<br>
3.6.3).=C2=A0 But you said<br>
<br>
&gt; My GNUTLS version looks to be 3.6.5. This is a Ubuntu 19.04 system (wh=
ich<br>
&gt; was released last April) with all updates applied.<br>
<br>
so that seems a little strange.=C2=A0 Does libgnutls-version have the 30605=
<br>
value?=C2=A0 Can you also show the output from<br>
<br>
=C2=A0 =C2=A0 ldd $(which emacs) | grep gnutls<br>
<br>
</blockquote></div><br clear=3D"all"><div><br></div>-- <br><div dir=3D"ltr"=
 class=3D"gmail_signature"><div dir=3D"ltr"><div>regards,</div><div><br></d=
iv><div>Tim</div><div><br></div><div>--</div>Tim Cross<br><div><br></div></=
div></div>

--000000000000271387058e0aa1e8--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36725: 26.1; Emacs can't connect to gnu elpa
Resent-From: Noam Postavsky <npostavs@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 19 Jul 2019 16:51:02 +0000
Resent-Message-ID: <handler.36725.B36725.156355504731078 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36725
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Tim Cross <theophilusx@HIDDEN>
Cc: Lennard Henze <henzelen@HIDDEN>, 36725 <at> debbugs.gnu.org
Received: via spool by 36725-submit <at> debbugs.gnu.org id=B36725.156355504731078
          (code B ref 36725); Fri, 19 Jul 2019 16:51:02 +0000
Received: (at 36725) by debbugs.gnu.org; 19 Jul 2019 16:50:47 +0000
Received: from localhost ([127.0.0.1]:56504 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoW5m-00085C-W2
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 12:50:47 -0400
Received: from mail-io1-f53.google.com ([209.85.166.53]:35239)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hoW5l-00084z-Dl
 for 36725 <at> debbugs.gnu.org; Fri, 19 Jul 2019 12:50:45 -0400
Received: by mail-io1-f53.google.com with SMTP id m24so59806030ioo.2
 for <36725 <at> debbugs.gnu.org>; Fri, 19 Jul 2019 09:50:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=DEXjMvHabTAjTLRbrW4Pz6W5ZRg4oGFgK+nhDCzvEU0=;
 b=NxCGqkoBRv8ZS6Fj7/rjGgMumLqEL+Jr9n3R0rqtzlHVXtyv94AIU8K9hiDVz+Ehfg
 X9BKdNeWrgV47SfCCNwtMxUMSWjzo5M8/dQ4y8gfs70zJQgvf0yYGqom4Ej3rIy9pWcy
 NE7LQ/1yx9WFKxBCDmbTiPK9wEWF1x5/+EEBxtDNYBUVKzMrmC72k8zlmcKavR5rjUn9
 HlOaGN1aS28j9Vp8bxlhxI1pM2w0Tskm88opyKimhMWtKigw0JT96MRC8v7GbjM24WBL
 pSeGkKGe+BZStnLI7eCiKYppoD/FZIzihSeQgk/6VllXuC2bfbco9qkHrMsycVTKqG1H
 b2MQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=DEXjMvHabTAjTLRbrW4Pz6W5ZRg4oGFgK+nhDCzvEU0=;
 b=jjQ0qHRCBFl8kEQtKnRLxEcbY2118TXQfQv6cyWLMxMBLvu98FOtga0Utx7E4twoLw
 5F/ahCfHYiiMinCixE9P+YAUsRJWGKo1rx+sMGbUZ3uI5x6Zn85/GucqBOzXzR9xREI9
 Seue6eYLKQiEFeLHTjaRygc3ogsOBrSTjZUnOhOP+UOcNU6T95tVhEsMhOHG+SDlBtd7
 k//Th/r+CbJ5LorMokjTpQZuTVcuBLZz4mypLhqxlJXOYdcuIMzD/qRff+Ah9gT6o8bx
 uNHY0HoYKl3qxg8dW/rBp3Ry7u+SfqhXvlPWn82p7K8Vzc3ugC7KWRdD+A+5wcJ58rVA
 tfyA==
X-Gm-Message-State: APjAAAXSKwX0qsKLVUXoNHSRHL9kjiM5tJvRWsvE5aBDNVcs5PAj6i5I
 vIH2yks5jqfqrHXANYnWib/Vf1YU
X-Google-Smtp-Source: APXvYqxzBhBUPpa4aYh2FYPejU89F2H1WQbna3ZEiAYVseIoVwW/mWE7i4pUubzNur+WXpYsRg9rXg==
X-Received: by 2002:a6b:d81a:: with SMTP id y26mr47482999iob.126.1563555039636; 
 Fri, 19 Jul 2019 09:50:39 -0700 (PDT)
Received: from vhost2
 (CPE001143542e1f-CMf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.51.196])
 by smtp.gmail.com with ESMTPSA id r7sm23018375ioa.71.2019.07.19.09.50.38
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 19 Jul 2019 09:50:38 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
References: <073aef89-5d8a-0335-c54a-eb1948e9394c@HIDDEN>
 <87zhlaykbw.fsf@HIDDEN> <m2y30upg3l.fsf@HIDDEN>
 <87lfwuxmdt.fsf@HIDDEN>
 <CAC=50j-JAg+5Pu5e8wNCmR0mwOFdw5fpHxCjxDZn8asdGJo7Vg@HIDDEN>
 <CAC=50j8Lk5O=B_EM9Pcn2-p207PMzP0Y2rFnd8uphuM_R+7jGg@HIDDEN>
 <8536j2kt6r.fsf@HIDDEN>
 <CAC=50j9-U3XQF6bdEe0EzfHBMRxeYU9E-fpsGD1r=H8=EtC=fg@HIDDEN>
Date: Fri, 19 Jul 2019 12:50:38 -0400
In-Reply-To: <CAC=50j9-U3XQF6bdEe0EzfHBMRxeYU9E-fpsGD1r=H8=EtC=fg@HIDDEN> (Tim
 Cross's message of "Sat, 20 Jul 2019 01:46:16 +1000")
Message-ID: <85zhlaj7dt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1.92 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Tim Cross <theophilusx@HIDDEN> writes:

> libgnutls-version=E2=80=99s value is 30605
>
> =E2=9E=9C  bin ldd emacs-26.2 | grep gnutls
> libgnutls.so.30 =3D> /usr/lib/x86_64-linux-gnu/libgnutls.so.30
> (0x00007f78d3a1e000)
>
> I still suspect the issue may have been server rather than client. This
> system with the same configuration has been connecting to elpa.gnu.org ov=
er
> https since I first built it when 26.2 was released.  It is only today th=
at
> I found https connections to elpa.gnu.org failed.

I believe the actual problem is on the client side, in that Emacs
versions 26.2 and ealier don't handle the EAGAIN error from gnutls
correctly.  Whether or not the EAGAIN actually happens depends on the
precise timing, so it can be affected by all kinds of things.  For
example, there were some reports that setting gnutls-log-level would
stop the bug from happening.

I'm guessing the elpa.gnu.org server was updated recently in a way which
is triggering this bug.  So a whole lot more people are running into it.

> Note also that to be sure, I did a rebuild and  reinstall of emacs just in
> case it had been linked against an older library. This had no effect.
>
> According the the gnutls NEWS file, this version does support 1.3

The only thing I can't explain is why setting gnutls-algorithm-priority
breaks for you on what seems to be a recent libgnutls (I would have
thought it would be useless at worst).  It is reported to work for
others (though it's likely just a coincidence that it affects the timing
in such a way as to avoid EAGAIN errors).

E.g., Bug#34341 and some recent reddit threads:

https://debbugs.gnu.org/34341#19
https://old.reddit.com/r/emacs/comments/cdei4p/failed_to_download_gnu_archi=
ve_bad_request/
https://old.reddit.com/r/emacs/comments/cb3wnj/urlretrievesynchronously_ret=
urning_400_bad_request/




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 22 Jul 2019 00:59:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 21 20:59:14 2019
Received: from localhost ([127.0.0.1]:59750 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpMfa-0004gO-LZ
	for submit <at> debbugs.gnu.org; Sun, 21 Jul 2019 20:59:14 -0400
Received: from mail-io1-f43.google.com ([209.85.166.43]:40716)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hpMfZ-0004gB-Fm
 for control <at> debbugs.gnu.org; Sun, 21 Jul 2019 20:59:13 -0400
Received: by mail-io1-f43.google.com with SMTP id h6so70246067iom.7
 for <control <at> debbugs.gnu.org>; Sun, 21 Jul 2019 17:59:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=mys5+vbL2UyuCF5NPCb/JA/EGqj9yTmyqc2JYpGFsDk=;
 b=E1cTOQYsIpZa865UHaxEUzcoe13n+mu5uiwj+PCsfM1IPqTPRaiBuhu3iYcel6dy+h
 0pNq1tKpz6oMyLscj4VWRFe2VHq/fLnU3tQUZyl4Fqew+xXzMPZQYJnifdvAjGjWvM1t
 L+hb7q00kSlUmTbeZxIrdUksMb1Cz/NoDs4Lp4YtmwBVEumvihKCLWld/nbbkw2/Zakr
 Vs/+YQh19wEHos2sxcQzaC917/6ZtLnyqPWJ1Wo0vksw5eBtbagIJd43LqtdMhvscE2r
 LXptZZTpfxvQrKVRLdDzsr4nYgW4daOqSMSZYWQZHoxuQpelaq0zmfkNWmbwbNxKmw9E
 g2iA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=mys5+vbL2UyuCF5NPCb/JA/EGqj9yTmyqc2JYpGFsDk=;
 b=gEiROMQsYvFkZ47XEYtERwBSW8GA8VTqpNw02pTBsvjIkzrxybECaCBja24Q9PFD2Q
 B6bNSDxK0PnQzuPEaUZ0TI/mS2RP+nZe0mHdccj4AO+J4iaCXF6ggRW+JpWj/Z7K6xoy
 +bdgCfHTOS7040cl7qRpr1NUbx9/kd2DRsX9kraJdCgdDoUsT3A3wmXfTV1Em7QOZzUR
 NRBAdymQ3MUg5n6nhxTRkNI9jbuXJ8Kdw8lBZio1bG4txMnUh6ccjyOnRVzy4H2tzZBk
 k19f37S6tgcGB9Amy30kXBBblMquyVa3Mihj8d9Md/1Nf7OMp3XeCrJnbOMyPZ2nmmGM
 b3gQ==
X-Gm-Message-State: APjAAAVsOzR+HULwMyLFmubEgmaX8gS3PfBFJ3Z/ogEcaSu7N/hysAy3
 7YpT/BG1QgsJz0gQywyQfrMy3LKm
X-Google-Smtp-Source: APXvYqxhZi62j861bEJ9bWITC2U+C86Y119CDnZlwu3CjLxpoc/m3UxGiopN6jTYTp3NCqJxsVDjCA==
X-Received: by 2002:a6b:bc42:: with SMTP id m63mr47844352iof.189.1563757147694; 
 Sun, 21 Jul 2019 17:59:07 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 e188sm32674386ioa.3.2019.07.21.17.59.07 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 21 Jul 2019 17:59:07 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: control <at> debbugs.gnu.org
Subject: control message for bug #36749
Date: Sun, 21 Jul 2019 20:59:06 -0400
Message-ID: <8736iyyjdx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

merge 36749 36725
quit





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 25 Jul 2019 17:35:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 25 13:35:34 2019
Received: from localhost ([127.0.0.1]:40379 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqheP-0004SJ-OR
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 13:35:34 -0400
Received: from mail-io1-f41.google.com ([209.85.166.41]:34702)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1hqheN-0004S1-L8; Thu, 25 Jul 2019 13:35:32 -0400
Received: by mail-io1-f41.google.com with SMTP id k8so99023690iot.1;
 Thu, 25 Jul 2019 10:35:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=t5iBu+IstshpZFPRW0nMRPW2ZcoRM4Mkzlc5Z+kkNfc=;
 b=kS8vFkpjD4EHSDW/vZwvp3Qhpxb212BGoMpXcV1135PdmYuwP2SM7kWas99RgP1zvI
 yrKTmXlW2Y7Mrj5pP4hEAwuSsHlsTJ4n8jOZpKAHm1WLjxX/Hj57lP8yGazcIXhUjgng
 5MESMVt7c3vgrljV8vsqmTTvcOC/2wUSXlmcaZWDaXN+uAqIPP2J8QClfWFIUHv/heu7
 TyeeWdrKKqCwrnyMIPt+D9Rn6QwUzKqcin59VHukeYEsMGxxRl6p8O0vk0IKSf6dq1U6
 wTEONFfmivr/zZ8+DkXZAyM2RZMob/hvIrJCbhq4u+vInN8yJ5RbWRvip1V4qrGDHk0h
 J8ig==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=t5iBu+IstshpZFPRW0nMRPW2ZcoRM4Mkzlc5Z+kkNfc=;
 b=LxmnK2oynxG4lL2c+nC+RuyDvU06rbC3LPhpmZVlbjNanvjeJAqilzQO+uf7mn1Y7e
 3+epfu4cLgGb24PeeS0PbVx+CtdlA4OEXvufstMBfU3WOr+h8Gv5Kx12JKIm3/ZVolaF
 IN1UMPOfX8axTe3dYd3dVImMEnIwCDxmiOi5z8Bs5tuzztmpOQKwQm82Jw+7e5m6I6eM
 i1Th6GGxhXm3dlBYOQL+JaYP+ffkB4a1Lxpyadkq1nSAvWsSzU++PC8Si4eqxDprpqLJ
 iOdxdcDDsoVo4QXyBa2BkWnUDw1ceRQKOJkzKru3D5+CK3EDl00jvumcLsp0pBc8KePX
 2Cgw==
X-Gm-Message-State: APjAAAUkcxdFH6QoWvGmU7RcYAWz5MndEiIGjGdeR36ufpMfp+OzpHuK
 NrVBUAaAfplVE2oTdxkgUugc97yJ
X-Google-Smtp-Source: APXvYqwXENR1p6LTESYPM/s0+wh7PJTc2/gBak+uj5DCGkToljr7D+ZkxxMQUqu196ypqmJcgHrDxg==
X-Received: by 2002:a5d:928a:: with SMTP id s10mr56957849iom.29.1564076125901; 
 Thu, 25 Jul 2019 10:35:25 -0700 (PDT)
Received: from vhost2
 (CPE001143542e1f-CMf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.51.196])
 by smtp.gmail.com with ESMTPSA id j14sm42525809ioa.78.2019.07.25.10.35.25
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 25 Jul 2019 10:35:25 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: gnu@HIDDEN
Subject: Re: bug#36810: 26.2; package.el;
 package-refresh-contents, Bad Request (http over https)
References: <2e1fffbb-6826-628a-e598-fcdb3ce9d89b@HIDDEN>
Date: Thu, 25 Jul 2019 13:35:25 -0400
In-Reply-To: <2e1fffbb-6826-628a-e598-fcdb3ce9d89b@HIDDEN>
 (gnu@HIDDEN's message of "Thu, 25 Jul 2019 17:42:57 +0100")
Message-ID: <85ef2ej9uq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1.92 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
Cc: 36810 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

merge 36810 36725
quit

gnu@HIDDEN writes:

> Replicate with:
> emacs -Q
> M-x package-initialize RET
> M-x set-variable RET debug-on-error RET t RET
> package-refresh-contents
> => Debugger entered--Lisp error: (file-error
> "https://elpa.gnu.org/packages/archive-contents" "Bad Request")
>
> In wireshark I observe a TLS1.2 session with elpa.gnu.org, terminated
> from localhost, then another connection established to port 443 on
> elpa.gun.org but no TLS setup and then a straight HTTP GET request (for
> /packages/archive-contents).
> Server responds 400 (Bad Request):
> "Your browser sent a request that this server could not understand.
> Reason: You're speaking plain HTTP to an SSL-enabled server port."

I believe this is another case of Bug#36725/36749/34341.  It should work
in 26.2.90 pretest.  As a workaround, doing

    (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")

seems to help (it somehow affects the timing so as to avoid the bug).




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 25 Jul 2019 22:40:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 25 18:40:11 2019
Received: from localhost ([127.0.0.1]:40576 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqmPD-0003rg-FI
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 18:40:11 -0400
Received: from mail-io1-f44.google.com ([209.85.166.44]:44270)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hqmPA-0003rP-UF
 for control <at> debbugs.gnu.org; Thu, 25 Jul 2019 18:40:09 -0400
Received: by mail-io1-f44.google.com with SMTP id s7so100604729iob.11
 for <control <at> debbugs.gnu.org>; Thu, 25 Jul 2019 15:40:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=8vDZ5Q62usjAzLkE+Lz91GY5WNbUthqfZV5WfK4g8F8=;
 b=Xzg64KfufSMV232fGSyF+Hs7wo+/VSzRi4pkrJfHtp2UX9VXa0JSIKfuIRpq55jV5b
 0O8YvlQsqZ+vgO5a3W3VgzQRsA+WHueFRjNbxjPHY8xpVKpeXgi20Fmf81lj9rkoM1oO
 3R5e9qn+/3h/dJ5zi5pZGMvwd8WsZ8y8z3NEsIdDpGI/cIBawNpCB6MBPmHDi6K+MnF4
 g8NGlOD5H7EZckoGM1po+OWbKhe0hQ7/W6Il9pQ+9Mpk7U+GlLNiiP+hY5iBbI+Ckuh6
 okBZRPb9Z+RIB30Vzx1h9jGoJeJXqB1OG6QjgQc09qa0x6zwUmCBAJAndNslFUz/5KiO
 vIZw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=8vDZ5Q62usjAzLkE+Lz91GY5WNbUthqfZV5WfK4g8F8=;
 b=l7gRKsCYYJpfhDqvHO9S3Hth/E3HgmBOF63hcKOoxHvXKvcpwcG0g4+FxIM6Lg69mV
 UXrXD3LNk4u2onLQsR80AW+MumhfrJLjfdMZWvuV8Cxtlf9hJh0r2GQfRUaUASE931jT
 n/oWy9Wcub4VATFuvovTOlMTpAYFSurNDSyvEjXo+HQf8L0C0geW0yaUERxLisXATORc
 Ofvsw4kL9+fRcuWZ4uoY9N+OSkE4yWYsWcCjw5uhnVVFpwDpGbacmDym2S+hQCZPdx2w
 m6V6t1nsbdrFje89bYh6FvPH+lzB+fpf2YiM1gMTWkW8VDIoHYtUgBrkSdohCN/lFvbX
 JvIg==
X-Gm-Message-State: APjAAAUe45CkS19C/mnYTj068p7B51uWbBl2vbuPI96qMn2tpPD5vAkC
 eUo/UfL3G7pLK0lOFPKApQN5LqZa
X-Google-Smtp-Source: APXvYqznFI7qhz8aepDcBDhzrfoVZsjfrs2na+99C5CffOMRLgEZSVfcIgS9B2PvAvGqmsdNbEKTbQ==
X-Received: by 2002:a5d:9bc6:: with SMTP id d6mr14857362ion.160.1564094403360; 
 Thu, 25 Jul 2019 15:40:03 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 n26sm37428913ioc.74.2019.07.25.15.40.02 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 25 Jul 2019 15:40:02 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: control <at> debbugs.gnu.org
Subject: control message for bug #36810
Date: Thu, 25 Jul 2019 18:40:02 -0400
Message-ID: <87wog5viv1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

fixed 36810 26.2.90
quit





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 31 Jul 2019 14:16:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 31 10:16:58 2019
Received: from localhost ([127.0.0.1]:52840 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hspPW-0006eb-AH
	for submit <at> debbugs.gnu.org; Wed, 31 Jul 2019 10:16:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1hspPV-0006Zu-Fc; Wed, 31 Jul 2019 10:16:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49622)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hspPQ-00040O-2w; Wed, 31 Jul 2019 10:16:52 -0400
Received: from [176.228.60.248] (port=4456 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hspPP-00051X-4C; Wed, 31 Jul 2019 10:16:51 -0400
Date: Wed, 31 Jul 2019 17:16:42 +0300
Message-Id: <83h872i911.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Thorbjoern Willoch <TWilloch@HIDDEN>
In-reply-to: <a2009c53-e294-5d8e-1880-a72d80dddbf2@HIDDEN> (message
 from Thorbjoern Willoch on Wed, 31 Jul 2019 10:43:38 +0000)
Subject: Re: bug#36873: 26.1; Cannot install pacakges from elpa.gnu.org
References: <a2009c53-e294-5d8e-1880-a72d80dddbf2@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
Cc: 36873 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

merge 36873 36725
thanks

See https://debbugs.gnu.org/cgi/bugreport.cgi?bug=36810#11 for a
possible solution.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 31 Jul 2019 14:18:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 31 10:18:01 2019
Received: from localhost ([127.0.0.1]:52847 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hspQX-0007C9-6t
	for submit <at> debbugs.gnu.org; Wed, 31 Jul 2019 10:18:01 -0400
Received: from mail-io1-f41.google.com ([209.85.166.41]:43630)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1hspQS-0007Bq-Pl; Wed, 31 Jul 2019 10:17:57 -0400
Received: by mail-io1-f41.google.com with SMTP id k20so136572566ios.10;
 Wed, 31 Jul 2019 07:17:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=vRLvaA6h+mwcetTP2TBjwK0oD9F5MbZ6FCYtpOnNiVY=;
 b=pxF6ugRY0eURsHRMvNhyw+rRfFmSj6gUtxMIIuDCwk22nnwzKvXODxH7w0EjrS5dpO
 9OozZfWX4eSY8+9fr0WltBshfkcCzubnsoU1uwLNYuBfvVVvCUP2dm4onsIAXs3o4pY9
 7Asz6va+bwRst3xtt+7akZCqkitcatA4GtuNIwcEGs/u4ieHKXIF8aGZAzZp1Mo8Z4tB
 pc7UDd2UsmePpEa9z8CuxK8SjzRdMsiInU1/CAhksfvYQN4mMh+5eo4ckCiZZZ8Lh96G
 aqtpQXNQ7YfzeuKu3S5OM0lqPalqJE7OTqgm2P2xHN3QWT4IW4pRXBPkZwD3A+SFQOJS
 T0ZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=vRLvaA6h+mwcetTP2TBjwK0oD9F5MbZ6FCYtpOnNiVY=;
 b=mkUM750vMMR189AajmYJldUo1JjoHWXldu0yTreQFmKl6LST+7MS+0+e9BDPl7ZL85
 MVTXu+2lZwVfXGUs7t6+ILMzh93htaQgTt9BeWuK6e7d2xCf+x+wZOnQpsUqNXF2WHzb
 zJ0CEntq1Io/pk4dK8CEQjNcAD7dvd1mg0dtHTD01hRJH/3G3RAXx7yGvg8MGPoEvRnx
 TjeE/5H4q7HCzLCwvWAtELYbYqxYItSpk6CwpTyqI0DanTIiAtCnaFBfsGJZ3DACnLFw
 /wc8y12YHd0AIcJHEHetXntSSpV2JAhM0ejEvSXL0Sm32UoELBjzSR1+6uhMEQUFWkrC
 Oa8g==
X-Gm-Message-State: APjAAAXRHChWS66HFAGn1/EooLGiAx9U+bLDRkGPCAed4BjY9BMpvFIw
 xaE54ipWcTsU59g9RDijmJawqmGC
X-Google-Smtp-Source: APXvYqz3LEz5G011gzAHcXAWrIPAgm0hkbifhPP2RmPanMyhRa4ix+3Xpn39bMDpgXEEJgEo/ChLyg==
X-Received: by 2002:a02:b710:: with SMTP id g16mr34038630jam.88.1564582671059; 
 Wed, 31 Jul 2019 07:17:51 -0700 (PDT)
Received: from vhost2
 (CPE001143542e1f-CMf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.51.196])
 by smtp.gmail.com with ESMTPSA id y20sm52983163iol.34.2019.07.31.07.17.50
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 31 Jul 2019 07:17:50 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Thorbjoern Willoch <TWilloch@HIDDEN>
Subject: Re: bug#36873: 26.1; Cannot install pacakges from elpa.gnu.org
References: <a2009c53-e294-5d8e-1880-a72d80dddbf2@HIDDEN>
Date: Wed, 31 Jul 2019 10:17:51 -0400
In-Reply-To: <a2009c53-e294-5d8e-1880-a72d80dddbf2@HIDDEN>
 (Thorbjoern Willoch's message of "Wed, 31 Jul 2019 10:43:38 +0000")
Message-ID: <85lfwe47ao.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1.92 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
Cc: 36873 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

merge 36873 36810
quit

Thorbjoern Willoch <TWilloch@HIDDEN> writes:

> M-x package-install RET svg RET
> gets error : https://elpa.gnu.org/packages/svg-1.0.el: Bad Request

This is fixed in 26.2.90 (the pretest for 26.3), you can use

    (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")

as a workaround.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 19 Sep 2019 01:50:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 21:50:53 2019
Received: from localhost ([127.0.0.1]:54997 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAlav-0007LE-CU
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 21:50:53 -0400
Received: from mail-io1-f52.google.com ([209.85.166.52]:36513)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1iAlat-0007Ku-9A; Wed, 18 Sep 2019 21:50:51 -0400
Received: by mail-io1-f52.google.com with SMTP id b136so3957489iof.3;
 Wed, 18 Sep 2019 18:50:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=bSZQNxaY6d4NUl2lEKopB+NZ30L0Pf+H1/CkWpbvKQg=;
 b=ubVZAfddL2+64+3Vr9iG/0vRNQwM28Vl4+Aa8/3Wen3TLjpNnGtb/4ly738S/ZEsct
 SUVUDJ+yq5tzTq4UzZmRt1kEXGt/1/kNvSTxNsXBY8DAn4bDomNb3Mao8gj7IZZxoLKq
 //e5sjagTfGwcsd6gxluRA/CQuBygkaH39LZ5+PICe0Ky6mnTbXBfBSrUno+cCpMlg1Q
 T8tn4vThY79XSKHNlnenT+eUlACnQ5hV8AGKEC/IXRyw+ScQgT5jydZimTBCXrJnTDOp
 sju/tt/vPcGrfVE8nuDGaUaD1vQzFflqG11/1E5nwuV/v37dvz8nbMbR10cmJ6tmg+AA
 tuwQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=bSZQNxaY6d4NUl2lEKopB+NZ30L0Pf+H1/CkWpbvKQg=;
 b=nWIJioGSGa1Y5tbxu5lvSp5WsDdhpTgmJfJnqlyYdTPmpIX3eK5X5hiktgf6hk4zwX
 j0KQRvZMuqiuWxe5FRmqbfZktT4BJJXa316PcEN8hWKHTFoacxBgXFWifNtIHZs24ugn
 vsK9Tjx0j8oh3e96creW9TvSWvcmMGsVNUaIRK3kah+yb1g42nk687V88sP++4cUOVo/
 tyt9oCRvVMnAqxi0+TfXKViZRTzqeLTzM3on/qQW6RQ3XxjkzSmtcFsDuEx/3oNl0VvZ
 C8EkyridLo5hduwyaBhMvTHkUoqePacMvZBjF0eRk0Sr4stCfBtAXAKxnq00B1dCtM7Y
 HO5w==
X-Gm-Message-State: APjAAAUnTiyWc3u/dxOnI/8Ulhl/aLmOWVZbuZ5OBeoMhg1zS5gbceFk
 tiyWD0bdZwUEdUTZv5vrBlr9xi6p
X-Google-Smtp-Source: APXvYqz2WcO4AlcBd/VXD+E5NqUwqK1to5cjo/RmcFLh9cpb8pUzeU9/79mBcQJ5blWV2fwuIiBqXQ==
X-Received: by 2002:a02:9009:: with SMTP id w9mr8732810jaf.112.1568857845329; 
 Wed, 18 Sep 2019 18:50:45 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 a14sm1870759ioo.85.2019.09.18.18.50.43
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 18 Sep 2019 18:50:44 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: worik <root@HIDDEN>
Subject: Re: bug#37453: Cannot connect to elpa
References: <aa3ee338-701f-b751-9683-ebebcbd96c3d@HIDDEN>
Date: Wed, 18 Sep 2019 21:50:43 -0400
In-Reply-To: <aa3ee338-701f-b751-9683-ebebcbd96c3d@HIDDEN> (worik's message
 of "Thu, 19 Sep 2019 11:16:51 +1200")
Message-ID: <874l199hqk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
Cc: 37453 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

forcemerge 36873 37453
quit

worik <root@HIDDEN> writes:

> https://elpa.gnu.org/packages/spinner-1.7.3.el: Bad Request

Upgrade to 26.3, or else try

    (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")

as a workaround.





Last modified: Thu, 19 Sep 2019 02:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.